export declare class TvInvoice {
    documentId: number;
    invoiceName: string;
    invoiceStatus: Enum_DOCUMENTSTATUS;
    amount: number;
    url: string;
    invoiceDate: any;
    dueDate: any;
    payDate: any;
    clientId: number;
    caseId: number;
    caseType: Enum_CASETYPE;
    caseYear: number;
    caseTitle: string;
}
export declare class TvCaseDocument {
    personId: number;
    clientId: number;
    caseId: number;
    caseNumber: string;
    caseStatus: Enum_CASESTATUS;
    caseTitle: string;
    caseDescription: string;
    caseType: Enum_CASETYPE;
    caseYear: number;
    masterCaseId: number;
    documentId: number;
    documentTitle: string;
    documentStatus: Enum_DOCUMENTSTATUS;
    docTypeCode: Enum_DOCTYPECODE;
    documentOrigin: Enum_DOCUMENTORIGIN;
    documentLatestVersion: number;
    url: string;
    docPropName: Enum_DOCUMENTPROPERTY;
    docPropValue: string;
    documentHistoryId: number;
    changedBy: number;
    changedByName: string;
    changedWhat: string;
    changedWhen: any;
    newValue: string;
    newDocumentStatus: Enum_DOCUMENTSTATUS;
    documentHistoryVersionId: number;
    documentHistoryChangeCode: Enum_DOCUMENTHISTORYCHANGECODE;
    handlerEmployeeId: number;
    handlerPersonId: number;
    handlerType: Enum_HANDLERTYPE;
    handlerName: string;
    handlerPhotoUrl: string;
}
export declare class AccountListView {
    accountId: number;
    fullName: string;
    azureId: string;
}
export declare class AccountView {
    accountId: number;
    personId: number;
    azureId: string;
    languageCode: string;
}
export declare class ActivityCodeListView {
    activityCodeId: number;
    activityCode1: string;
    airlineId: number;
    description: string;
}
export declare class ActivityCodeView {
    activityCodeId: number;
    activityCode1: string;
    airlineId: number;
    description: string;
    dayCode: string;
}
export declare class AddressListView {
    addressId: number;
    addressType: string;
    city: string;
    postalCode: string;
    street: string;
    houseNumber: string;
    houseNumberExtension: string;
    countryCode: string;
}
export declare class AddressView {
    addressId: number;
    addressType: string;
    city: string;
    street: string;
    houseNumber: string;
    houseNumberExtension: string;
    postalCode: string;
    state: string;
    countryCode: string;
    isDeleted: boolean;
}
export declare class AddressViewShort {
    addressId: number;
    addressType: string;
    addressString: string;
    isDeleted: boolean;
}
export declare class AirlineListView {
    airlineId: number;
    airlineName: string;
    airlineCodeIata: string;
    airlineCodeIcao: string;
    baseAirportId: number;
    countryCode: string;
}
export declare class AirlineView {
    airlineId: number;
    airlineName: string;
    airlineAlias: string;
    airlineCodeIata: string;
    airlineCodeIcao: string;
    airlineCallsign: string;
    airlineActive: string;
    baseAirportId: number;
    countryCode: string;
}
export declare class AirportListView {
    airportId: number;
    airportName: string;
    airportMainCityServed: string;
    airportCodeIata: string;
    airportCodeIcao: string;
    countryCode: string;
}
export declare class AirportView {
    airportId: number;
    airportName: string;
    airportMainCityServed: string;
    airportCodeIata: string;
    airportCodeIcao: string;
    airportLatitude: string;
    airportLongitude: string;
    airportAltitude: string;
    airportTimezone: number;
    airportDaylightSavingsTime: string;
    airportTzOlsenTimezone: string;
    countryCode: string;
}
export declare class BatchDocumentListView {
    batchDocumentId: number;
    documentNumber: number;
    batchId: number;
    documentDefinitionName: string;
    documentUncertainSymbolsCount: number;
}
export declare class BatchDocumentView {
    batchDocumentId: number;
    documentNumber: number;
    batchId: number;
    documentCreationTime: any;
    documentDefinitionName: string;
    documentUncertainSymbolsCount: number;
    employerId: number;
    docTypeCode: string;
}
export declare class BatchFieldDetailsListView {
    batchFieldDetailsId: number;
    batchId: number;
    batchFieldCode: string;
    isStayDay: boolean;
    isDomesticDay: boolean;
    isTravelDay: boolean;
}
export declare class BatchFieldDetailsView {
    batchFieldDetailsId: number;
    batchFieldCode: string;
    startTime: any;
    endTime: any;
    startLocation: string;
    endLocation: string;
    isStayDay: boolean;
    isDomesticDay: boolean;
    isTravelDay: boolean;
    activityCodes: string;
    airportCodes: string;
    countryCodes: string;
    airportCityCountry: string;
    flightNumbers: string;
    times: string;
    blockDuties: string;
    unClassified: string;
    dayCodes: string;
    resultCodes: string;
    batchId: number;
    noOfDetails: number;
}
export declare class BatchFieldListView {
    batchFieldId: number;
    batchFieldCode: string;
    batchFieldName: string;
    batchFieldValue: string;
    batchFieldOutput: string;
    batchId: number;
}
export declare class BatchFieldView {
    batchFieldId: number;
    batchFieldCode: string;
    batchFieldName: string;
    batchFieldValue: string;
    batchFieldOutput: string;
    batchFieldMonth: number;
    batchFieldDay: number;
    batchId: number;
    batchDocumentId: number;
    parentBatchFieldId: number;
    toBeChecked: boolean;
    toBeCheckedReasonCode: string;
}
export declare class BatchHistoryListView {
    batchHistoryId: number;
    batchId: number;
    changedWhen: any;
    changedBy: number;
    batchRunId: number;
    batchHistoryChangeCode: string;
}
export declare class BatchHistoryView {
    batchHistoryId: number;
    batchId: number;
    changedWhen: any;
    changedBy: number;
    changedWhat: string;
    batchRunId: number;
    newBatchStatus: string;
    batchHistoryChangeCode: string;
    newValue: string;
}
export declare class BatchListView {
    batchId: number;
    batchName: string;
    batchStatus: string;
    batchCreationTime: any;
}
export declare class BatchProcessMethodPropertyListView {
    batchProcessMethodPropertyId: number;
    batchId: number;
    processMethodId: number;
    batchProcessMethodPropertyCode: string;
    batchProcessMethodPropertyValue: string;
}
export declare class BatchProcessMethodPropertyView {
    batchProcessMethodPropertyId: number;
    batchId: number;
    processMethodId: number;
    batchProcessMethodPropertyCode: string;
    batchProcessMethodPropertyValue: string;
}
export declare class BatchRunListView {
    batchRunId: number;
    batchId: number;
    batchRunType: string;
    batchRunStatus: string;
    batchRunBy: number;
}
export declare class BatchRunView {
    batchRunId: number;
    batchId: number;
    processMethodId: number;
    batchRunType: string;
    batchRunStatus: string;
    batchRunBy: number;
    batchRunWhen: any;
    batchRunWhy: string;
}
export declare class BatchView {
    batchId: number;
    batchName: string;
    batchStatus: string;
    batchPageCount: number;
    batchDocumentCount: number;
    batchCreationTime: any;
    batchYear: number;
    clientId: number;
    caseId: number;
}
export declare class CaseDocumentListView {
    caseId: number;
    documentId: number;
}
export declare class CaseDocumentView {
    caseId: number;
    documentId: number;
}
export declare class CaseEmployeeListView {
    caseId: number;
    employeeId: number;
    handlerType: Enum_HANDLERTYPE;
}
export declare class CaseEmployeeView {
    caseId: number;
    employeeId: number;
    handlerType: Enum_HANDLERTYPE;
}
export declare class CaseHistoryListView {
    caseHistoryId: number;
    caseId: number;
    changedWhen: any;
    changedBy: number;
    caseHistoryChangeCode: string;
    newCaseStatus: string;
}
export declare class CaseHistoryView {
    caseHistoryId: number;
    caseId: number;
    changedWhen: any;
    changedBy: number;
    changedWhat: string;
    caseHistoryChangeCode: string;
    documentId: number;
    newCaseStatus: string;
}
export declare class CaseListView {
    caseId: number;
    caseNumber: string;
    caseTitle: string;
    caseYear: string;
    caseStatus: string;
}
export declare class CaseTaskListView {
    caseId: number;
    taskId: number;
}
export declare class CaseTaskView {
    caseId: number;
    taskId: number;
}
export declare class CaseView {
    caseId: number;
    caseNumber: string;
    caseType: string;
    caseStatus: string;
    caseYear: string;
    caseTitle: string;
    caseDescription: string;
    masterCaseId: number;
}
export declare class ClientCaseListView {
    clientId: number;
    caseId: number;
}
export declare class ClientCaseView {
    clientId: number;
    caseId: number;
}
export declare class ClientDocumentListView {
    clientId: number;
    documentId: number;
}
export declare class ClientDocumentView {
    clientId: number;
    documentId: number;
}
export declare class ClientEmployeeListView {
    clientId: number;
    employeeId: number;
    handlerType: Enum_HANDLERTYPE;
}
export declare class ClientEmployeeView {
    clientId: number;
    employeeId: number;
    handlerType: Enum_HANDLERTYPE;
}
export declare class ClientEmployerListView {
    clientEmployerId: number;
    clientId: number;
    employerId: number;
    startDate: any;
    endDate: any;
}
export declare class ClientEmployerView {
    clientEmployerId: number;
    clientId: number;
    employerId: number;
    startDate: any;
    endDate: any;
    jobTitle: string;
}
export declare class ClientListView {
    clientId: number;
    fullName: string;
    clientNumber: string;
    clientType: string;
}
export declare class ClientObjectListView {
    clientObjectId: number;
    clientObjectName: string;
    schema: string;
    icon: string;
}
export declare class ClientObjectView {
    clientObjectId: number;
    clientObjectName: string;
    linkedDbTable: string;
    schema: string;
    whereClause: string;
    orderByClause: string;
    icon: string;
    includes: string;
    foreignKeyColumns: string;
    collectionJoinTable: boolean;
    collections: string;
    listViewColumns: string;
    viewColumns: string;
    getForeignKeyLabelFromView: boolean;
}
export declare class ClientPersonalDataListView {
    accountId: number;
    personLastname: string;
    personFirstname: string;
    azureId: string;
}
export declare class ClientPersonalDataView {
    accountId: number;
    personId: number;
    azureId: string;
    personClientId: number;
    personClientNumber: string;
    personLastname: string;
    personFirstname: string;
    personInitials: string;
    personMiddlenames: string;
    personBsn: string;
    personBirthdate: any;
    personAge: number;
    personPersonId: number;
    personPhotoFileContentId: number;
    personPhotoUrl: string;
    languageCode: string;
    contactDetailList: ContactDetailView[];
    addressList: AddressView[];
}
export declare class ClientView {
    clientId: number;
    clientNumber: string;
    personLastname: string;
    personFirstname: string;
    personInitials: string;
    personMiddlenames: string;
    personBsn: string;
    clientType: string;
    personBirthdate: any;
    personAge: number;
    clientIdFiscalPartner: number;
    personPersonId: number;
    companyId: number;
    personPhotoFileContentId: number;
    personPhotoUrl: string;
    invoicable: boolean;
}
export declare class CompanyAddressListView {
    companyId: number;
    addressId: number;
}
export declare class CompanyAddressView {
    companyId: number;
    addressId: number;
}
export declare class CompanyListView {
    companyId: number;
    companyName: string;
    countryCode: string;
}
export declare class CompanyPersonListView {
    companyId: number;
    personId: number;
}
export declare class CompanyPersonView {
    companyId: number;
    personId: number;
}
export declare class CompanyView {
    companyId: number;
    companyCode: string;
    companyName: string;
    companyUrl: string;
    companyDescription: string;
    companyHeadOfficeAddressId: number;
    countryCode: string;
    companyIsActive: boolean;
    companyMainContactPersonId: number;
    sectorCode: string;
}
export declare class ContactDetailListView {
    contactDetailId: number;
    contactType: string;
    contactValue: string;
    isStandard: boolean;
}
export declare class ContactDetailView {
    contactDetailId: number;
    contactType: string;
    contactValue: string;
    personId: number;
    isStandard: boolean;
    isDeleted: boolean;
}
export declare class CountryListView {
    countryId: number;
    countryName: string;
    countryCode: string;
}
export declare class CountryView {
    countryId: number;
    countryName: string;
    countryCode: string;
}
export declare class DocumentContentListView {
    documentContentId: number;
    filename: string;
    directory: string;
}
export declare class DocumentContentView {
    documentContentId: number;
    filename: string;
    directory: string;
    fileContent: number[];
}
export declare class DocumentHistoryListView {
    documentHistoryId: number;
    documentId: number;
    changedWhen: any;
    changedBy: number;
    documentHistoryChangeCode: string;
    documentVersionId: number;
}
export declare class DocumentHistoryView {
    documentHistoryId: number;
    documentId: number;
    changedWhen: any;
    changedBy: number;
    changedWhat: string;
    documentHistoryChangeCode: string;
    documentVersionId: number;
    newDocumentStatus: string;
    newValue: string;
}
export declare class DocumentListView {
    documentId: number;
    documentTitle: string;
    docTypeCode: string;
    documentStatus: string;
}
export declare class DocumentTaskListView {
    documentId: number;
    taskId: number;
}
export declare class DocumentTaskView {
    documentId: number;
    taskId: number;
}
export declare class DocumentVersionListView {
    documentVersionId: number;
    documentId: number;
    documentVersionNumber: number;
    createdWhen: any;
    createdBy: number;
    documentVersionRemark: string;
}
export declare class DocumentVersionView {
    documentVersionId: number;
    documentVersionNumber: number;
    documentId: number;
    createdWhen: any;
    createdBy: number;
    documentVersionRemark: string;
    documentContentId: number;
    fileContentId: number;
    isViewableByClient: boolean;
}
export declare class DocumentView {
    documentId: number;
    documentTitle: string;
    documentOrigin: string;
    documentStatus: string;
    docTypeCode: string;
    latestVersion: number;
}
export declare class DrawerItemListView {
    drawerItemId: number;
    app: string;
    menuLabelCode: string;
    clientObjectId: number;
    orderInLevel: number;
    parentDrawerItemId: number;
}
export declare class DrawerItemView {
    drawerItemId: number;
    app: string;
    menuLabelCode: string;
    clientObjectId: number;
    clientObjectName: string;
    orderInLevel: number;
    parentDrawerItemId: number;
    isActive: boolean;
    isDeleted: boolean;
}
export declare class EmployeeListView {
    employeeId: number;
    employeeName: string;
}
export declare class EmployeeTaskListView {
    employeeId: number;
    taskId: number;
}
export declare class EmployeeTaskView {
    employeeId: number;
    taskId: number;
}
export declare class EmployeeView {
    employeeId: number;
    employeeType: string;
    personId: number;
    programCode: string;
}
export declare class EmployerDocTypeClientListView {
    employerDocTypeClientId: number;
    employerId: number;
    docTypeCode: string;
    clientId: number;
    batchLinkToClientFieldValue: string;
}
export declare class EmployerDocTypeClientView {
    employerDocTypeClientId: number;
    employerId: number;
    docTypeCode: string;
    clientId: number;
    batchLinkToClientFieldName: string;
    batchLinkToClientFieldValue: string;
}
export declare class EmployerDocTypeProcessMethodView {
    employerDocTypeProcessMethodId: number;
    employerId: number;
    docTypeCode: string;
    processMethodId: number;
    isEnabled: boolean;
}
export declare class EmployerListView {
    employerId: number;
    employerCode: string;
    employerName: string;
    companyId: number;
    countryCode: string;
}
export declare class EmployerView {
    employerId: number;
    employerCode: string;
    employerName: string;
    countryCode: string;
    companyId: number;
    determineTravelDays: boolean;
    determineStayDays: boolean;
    determineDomesticDays: boolean;
    useGBP: boolean;
    airlineId: number;
}
export declare class EnumListView {
    enumId: number;
    enumName: string;
    enumValues: string;
}
export declare class EnumValueListView {
    enumValueId: number;
    enumId: number;
    enumValueCode: string;
}
export declare class EnumValueView {
    enumValueId: number;
    enumId: number;
    enumValueCode: string;
    enumValueIsActive: boolean;
}
export declare class EnumView {
    enumId: number;
    enumName: string;
    enumIsActive: boolean;
    enumValueTable: string;
    enumValueColumn: string;
    mustBeTranslated: boolean;
}
export declare class FileContentListView {
    fileContentId: number;
    fileType: string;
    fileName: string;
}
export declare class FileContentView {
    fileContentId: number;
    fileType: string;
    directory: string;
    fileName: string;
    container: string;
    url: string;
    size: number;
    contentType: string;
    contentDisposition: string;
    isDeleted: boolean;
    isArchived: boolean;
    isInSyncWithFileSystem: boolean;
}
export declare class LabelListView {
    labelId: number;
    labelCode: string;
    languageCode: string;
    labelContextCode: string;
    label1: string;
}
export declare class LabelView {
    labelId: number;
    labelCode: string;
    languageCode: string;
    labelContextCode: string;
    label1: string;
    tooltip: string;
    placeHolder: string;
    helperText: string;
    masterLabelId: number;
    masterLabelCode: string;
    checkLabel: boolean;
}
export declare class LogMsgListView {
    id: number;
    type: string;
    severity: string;
    when: any;
    msgCode: string;
    linkedObjectId: string;
    linkedObjectType: string;
}
export declare class LogMsgView {
    id: number;
    type: string;
    severity: string;
    when: any;
    msgCode: string;
    linkedObjectId: string;
    linkedObjectType: string;
    placeholders: string;
    methodName: string;
    className: string;
}
export declare class MessageListView {
    messageId: number;
    messageCode: string;
    languageCode: string;
    message1: string;
}
export declare class MessageView {
    messageId: number;
    messageCode: string;
    languageCode: string;
    message1: string;
    checkMessage: boolean;
}
export declare class ParameterListView {
    parameterId: number;
    parameterCode: string;
    parameterValue: string;
    parameterGroup: string;
}
export declare class ParameterView {
    parameterId: number;
    parameterCode: string;
    parameterValue: string;
    parameterGroup: string;
}
export declare class PersonAddressListView {
    personId: number;
    addressId: number;
}
export declare class PersonAddressView {
    personId: number;
    addressId: number;
}
export declare class PersonListView {
    personId: number;
    fullName: string;
}
export declare class PersonView {
    personId: number;
    lastName: string;
    firstName: string;
    initials: string;
    middleNames: string;
    bsn: string;
    birthDate: any;
    age: number;
    photoFileContentId: number;
    photoUrl: string;
    clientId: number;
    clientNumber: string;
}
export declare class ProcessMethodListView {
    processMethodId: number;
    processMethodCode: string;
    templateSheetId: number;
}
export declare class ProcessMethodView {
    processMethodId: number;
    processMethodCode: string;
    templateSheetId: number;
}
export declare class QuestionFieldGroupListView {
    questionFieldGroupId: number;
    questionFieldId: number;
}
export declare class QuestionFieldGroupView {
    questionFieldGroupId: number;
    questionFieldId: number;
}
export declare class QuestionFieldListView {
    questionFieldId: number;
    name: string;
    questionFieldType: string;
    questionId: number;
    orderInQuestion: number;
}
export declare class QuestionFieldView {
    questionFieldId: number;
    name: string;
    description: string;
    questionFieldType: string;
    questionId: number;
    orderInQuestion: number;
    schemaName: string;
    tableName: string;
    columnName: string;
    regExCheck: string;
    enumName: string;
    selectTable: string;
    showIfYes: number;
    showIfNo: number;
    multiFlex: boolean;
    memberIds: string;
    isActive: boolean;
    isDeleted: boolean;
}
export declare class QuestionGroupListView {
    questionGroupId: number;
    name: string;
    step: number;
    questionnaireId: number;
    questionGroupMasterId: number;
}
export declare class QuestionGroupView {
    questionGroupId: number;
    name: string;
    description: string;
    step: number;
    questionnaireId: number;
    questionGroupMasterId: number;
    isActive: boolean;
    isDeleted: boolean;
}
export declare class QuestionListView {
    questionId: number;
    name: string;
    orderInStep: number;
    questionGroupId: number;
}
export declare class QuestionnaireListView {
    questionnaireId: number;
    name: string;
    year: number;
    caseType: string;
}
export declare class QuestionnaireView {
    questionnaireId: number;
    name: string;
    description: string;
    year: number;
    caseType: string;
    isActive: boolean;
    isDeleted: boolean;
}
export declare class QuestionRuleListView {
    questionRuleId: number;
    description: string;
    condition: string;
    todo: string;
    questionnaireId: number;
}
export declare class QuestionRuleView {
    questionRuleId: number;
    description: string;
    conditionQuestionFieldId: number;
    conditionType: string;
    conditionValue: string;
    todoType: string;
    todoQuestionId: number;
    todoQuestionFieldId: number;
    todoQuestionGroupId: number;
    questionnaireId: number;
    isActive: boolean;
    isDeleted: boolean;
}
export declare class QuestionView {
    questionId: number;
    name: string;
    description: string;
    orderInStep: number;
    questionGroupId: number;
    isActive: boolean;
    isDeleted: boolean;
}
export declare class RuleListView {
    ruleId: number;
    ruleName: string;
    ruleDescription: string;
    ruleStatus: string;
}
export declare class RuleVersionListView {
    ruleVersionId: number;
    ruleVersionNumber: number;
    ruleId: number;
    createdBy: number;
    ruleVersionRemark: string;
}
export declare class RuleVersionView {
    ruleVersionId: number;
    ruleVersionNumber: number;
    ruleId: number;
    createdWhen: any;
    createdBy: number;
    ruleVersionRemark: string;
}
export declare class RuleView {
    ruleId: number;
    ruleName: string;
    ruleDescription: string;
    ruleStatus: string;
    docTypeCode: string;
    appliesToAirlineIds: string;
    implementedClassName: string;
    implementedMethodName: string;
    implementedHow: string;
    latestVersion: number;
}
export declare class SubmissionListView {
    submissionId: number;
    jotformSubmissionId: string;
    submittedByUser: string;
    processed: boolean;
    clientId: number;
    caseId: number;
}
export declare class SubmissionView {
    submissionId: number;
    jotformSubmissionId: string;
    submittedAt: any;
    submittedByIp: string;
    submittedByUser: string;
    formId: string;
    formTitle: string;
    webHookUrl: string;
    requestDataPretty: string;
    requestDataRaw: string;
    clientId: number;
    processed: boolean;
    caseId: number;
}
export declare class TaskHistoryListView {
    taskHistoryId: number;
    taskId: number;
    changedBy: number;
    taskHistoryChangeCode: string;
    newValue: string;
    newTaskStatus: string;
    changedWhen: any;
}
export declare class TaskHistoryView {
    taskHistoryId: number;
    taskId: number;
    changedWhen: any;
    changedBy: number;
    changedWhat: string;
    newTaskStatus: string;
    taskHistoryChangeCode: string;
    newValue: string;
}
export declare class TaskListView {
    taskId: number;
    taskTitle: string;
    taskStatus: string;
    assignedEmployees: string;
}
export declare class TaskView {
    taskId: number;
    taskTitle: string;
    taskDescription: string;
    taskStatus: string;
    assignedEmployees: string;
}
export declare class TemplateFieldListView {
    templateFieldId: number;
    templateFieldCode: string;
    templateFieldName: string;
    templateSheetId: number;
    airlineId: number;
}
export declare class TemplateFieldView {
    templateFieldId: number;
    templateFieldCode: string;
    templateFieldName: string;
    templateFieldNegate: boolean;
    templateSheetId: number;
    airlineId: number;
}
export declare class TemplateListView {
    templateId: number;
    templateTitle: string;
    templateVersion: number;
    documentContentId: number;
}
export declare class TemplateSheetListView {
    templateSheetId: number;
    templateSheetIdentifier: number;
    templateSheetName: string;
    templateId: number;
}
export declare class TemplateSheetView {
    templateSheetId: number;
    templateSheetIdentifier: number;
    templateSheetName: string;
    searchColumnStart: number;
    searchRowStart: number;
    inputColumnStart: number;
    templateId: number;
}
export declare class TemplateView {
    templateId: number;
    templateTitle: string;
    templateVersion: number;
    documentContentId: number;
}
export declare class TextListView {
    textId: number;
    textCode: string;
    languageCode: string;
    text1: string;
}
export declare class TextView {
    textId: number;
    textCode: string;
    languageCode: string;
    text1: string;
    checkText: boolean;
}
export declare class GetAccountByAzureIdResponse {
    account: AccountView;
}
export declare class SearchDutchAddressResponse {
    addressDetails: AddressView;
}
export declare class GetAddressListResponse {
    addressList: AddressView[];
}
export declare class GetClientObjectListResponse {
    clientObjectList: ClientObjectView[];
}
export declare class GetClientPersonalDataResponse {
    clientPersonalData: ClientPersonalDataView;
}
export declare class SaveClientPersonalDataResponse {
    clientPersonalData: ClientPersonalDataView;
}
export declare class GetDrawerItemListResponse {
    drawerItemList: DrawerItemView[];
}
export declare class ProcessMessageRequest {
    clientId: number;
    caseId: number;
    message: string;
}
export declare class UploadImageResponse {
    fileContentId: number;
    urlToUploadedFile: string;
}
export declare class UploadFileResponse {
    uploadResults: UploadResult[];
}
export declare class SaveFileResponse {
    documentId: number;
    urlToUploadedFile: string;
}
export declare class CropResponse {
    urlToCroppedImage: string;
}
export declare class GetInvoiceListResponse {
    invoiceList: TvInvoice[];
}
export declare class GetCaseDocumentListResponse {
    caseDocumentList: TvCaseDocument[];
}
export declare class SaveUploadResultsResponse {
    uploadResults: UploadResult[];
}
export declare class UploadResult {
    fileContentId: number;
    clientId: number;
    caseId: number;
    docTypeCode: Enum_DOCTYPECODE;
    uploadRemark: string;
    fileName: string;
    url: string;
    documentId: number;
    saved: boolean;
}
export declare class ListResponse {
    objectList: ObjectProperty[][];
}
export declare class ListDetailsResponse {
    objectList: ObjectProperty[][];
}
export declare class PageResponse {
    objectList: ObjectProperty[][];
}
export declare class DetailsResponse {
    objectDetails: ObjectProperty[];
}
export declare class AddOrUpdateResponse {
    objectDetails: ObjectProperty[];
}
export declare class DeleteResponse {
    noOfObjectsDeleted: number;
}
export declare class CountResponse {
    noOfCountedObjects: number;
}
export declare class FilterOptionsResponse {
    filterOptionsList: FilterOptions[];
}
export declare class GetCasesForPersonResponse {
    clientId: number;
    caseList: CaseView[];
}
export declare class DataTableServerInfo {
    objName: string;
    state: State;
    baseProps: BaseProps;
    searchFilterProps: SearchFilterProps;
    collectionProps: CollectionProps;
}
export declare class State {
    searchMode: boolean;
    collectionMode: boolean;
    selectMode: boolean;
    filterMode: boolean;
}
export declare class BaseProps {
    page: number;
    rowsPerPage: number;
}
export declare class SearchFilterProps {
    filterWhereClause: string;
    searchText: string;
    page: number;
    rowsPerPage: number;
}
export declare class CollectionProps {
    fieldName: string;
    fieldValue: string;
    joinTable: string;
}
export declare class FilterOptions {
    fieldName: string;
    options: IdLabel[];
}
export declare class IdLabel {
    id: string;
    label: string;
}
export declare class ObjectProperty {
    objname: string;
    id: string;
    name: string;
    value: string;
    labelforvalue: string;
    type: string;
    fieldtype: string;
    foreignkey: string;
    index: boolean;
    computed: boolean;
    required: boolean;
    enumerate: boolean;
    enumname: string;
    enumvalues: IdLabel[];
    clselectfield: string;
    cljointable: string;
    cljoincondition: string;
    filterfieldname: string;
    filteroptions: IdLabel[];
    multiflextype: string;
}
export declare class SearchNLAddressResponse {
    response: Response;
}
export declare class Response {
    numFound: number;
    start: number;
    maxScore: number;
    docs: Doc[];
}
export declare class Doc {
    bron: string;
    woonplaatscode: string;
    type: string;
    woonplaatsnaam: string;
    openbareruimtetype: string;
    gemeentecode: string;
    weergavenaam: string;
    straatnaam_verkort: string;
    id: string;
    gemeentenaam: string;
    identificatie: string;
    openbareruimte_id: string;
    provinciecode: string;
    postcode: string;
    provincienaam: string;
    centroide_ll: string;
    provincieafkorting: string;
    centroide_rd: string;
    straatnaam: string;
    score: number;
    huis_nlt: string;
    nummeraanduiding_id: string;
    adresseerbaarobject_id: string;
    huisnummer: number;
}
export declare enum Enum_ADDRESSTYPE {
    NONE = "NONE",
    home = "home",
    secondhome = "secondhome",
    holidayhome = "holidayhome",
    office = "office",
    investment = "investment",
    other = "other"
}
export declare enum Enum_APP {
    NONE = "NONE",
    TVCPORTAL = "TVCPORTAL",
    TVCCLIENT = "TVCCLIENT"
}
export declare enum Enum_BATCHHISTORYCHANGECODE {
    NONE = "NONE",
    CREATED = "CREATED",
    NEWSTATUS = "NEWSTATUS"
}
export declare enum Enum_BATCHLINKTOCLIENT_FIELDNAME {
    NONE = "NONE",
    EMPLOYEENUMBER = "EMPLOYEENUMBER"
}
export declare enum Enum_BATCHPROCESSMETHODPROPERTYCODE {
    NONE = "NONE",
    CASEID = "CASEID",
    DOCUMENTID = "DOCUMENTID",
    EXECUTEASLINKEDBATCH = "EXECUTEASLINKEDBATCH",
    FORCETEMPLATEREFRESH = "FORCETEMPLATEREFRESH",
    LINKEDBATCHID = "LINKEDBATCHID"
}
export declare enum Enum_BATCHRUNSTATUS {
    NONE = "NONE",
    FINISHED = "FINISHED",
    FINISHEDWITHERRORS = "FINISHEDWITHERRORS",
    FINISHEDWITHWARNINGS = "FINISHEDWITHWARNINGS",
    RUNNING = "RUNNING",
    STARTED = "STARTED"
}
export declare enum Enum_BATCHRUNTYPE {
    NONE = "NONE",
    OCREXPORT = "OCREXPORT",
    PROCESSBYABBYY = "PROCESSBYABBYY",
    PROCESSBYTVAPPS = "PROCESSBYTVAPPS"
}
export declare enum Enum_BATCHSTATUS {
    NONE = "NONE",
    BATCHCREATED = "BATCHCREATED",
    BATCHFOUND = "BATCHFOUND",
    CLIENTFIELDSINSERTED = "CLIENTFIELDSINSERTED",
    CLIENTLINKEDTOBATCH = "CLIENTLINKEDTOBATCH",
    MAINBATCHFIELDSINSERTED = "MAINBATCHFIELDSINSERTED",
    OCREXPORTFINISHED = "OCREXPORTFINISHED",
    OLDBATCHFIELDSDELETED = "OLDBATCHFIELDSDELETED",
    PROCESSING = "PROCESSING",
    SUCCESS = "SUCCESS",
    TABLEBATCHFIELDSINSERTED = "TABLEBATCHFIELDSINSERTED"
}
export declare enum Enum_CARDTYPE {
    NONE = "NONE",
    CARDSYNCOVERVIEW = "CARDSYNCOVERVIEW",
    CARDOBJECT = "CARDOBJECT"
}
export declare enum Enum_CASEHISTORYCHANGECODE {
    NONE = "NONE",
    ARCHIVED = "ARCHIVED",
    CREATED = "CREATED",
    DOCUMENTADDED = "DOCUMENTADDED",
    DOCUMENTREMOVED = "DOCUMENTREMOVED",
    NEWSTATUS = "NEWSTATUS"
}
export declare enum Enum_CASESTATUS {
    NONE = "NONE",
    CLOSED = "CLOSED",
    OPEN = "OPEN"
}
export declare enum Enum_CASETYPE {
    NONE = "NONE",
    ESP = "ESP",
    IBL = "IBL",
    OTH = "OTH",
    OWH = "OWH",
    VPB = "VPB",
    GEN = "GEN"
}
export declare enum Enum_CLIENTTYPE {
    NONE = "NONE",
    COMPANY = "COMPANY",
    PERSON = "PERSON"
}
export declare enum Enum_COLUMNNAME {
    NONE = "NONE",
    PersonPersonAddress = "PersonPersonAddress",
    AccountId = "AccountId",
    ActivityCode = "ActivityCode",
    ActivityCodeId = "ActivityCodeId",
    ActivityCodes = "ActivityCodes",
    AddressId = "AddressId",
    AddressType = "AddressType",
    Age = "Age",
    AirlineActive = "AirlineActive",
    AirlineAlias = "AirlineAlias",
    AirlineBaseAirportCodeICAO = "AirlineBaseAirportCodeICAO",
    AirlineCallsign = "AirlineCallsign",
    AirlineCodeIATA = "AirlineCodeIATA",
    AirlineCodeICAO = "AirlineCodeICAO",
    AirlineId = "AirlineId",
    AirlineName = "AirlineName",
    AirportAltitude = "AirportAltitude",
    AirportCityCountry = "AirportCityCountry",
    AirportCodeIATA = "AirportCodeIATA",
    AirportCodeICAO = "AirportCodeICAO",
    AirportCodes = "AirportCodes",
    AirportDaylightSavingsTime = "AirportDaylightSavingsTime",
    AirportId = "AirportId",
    AirportLatitude = "AirportLatitude",
    AirportLongitude = "AirportLongitude",
    AirportMainCityServed = "AirportMainCityServed",
    AirportName = "AirportName",
    AirportTimezone = "AirportTimezone",
    AirportTzOlsenTimezone = "AirportTzOlsenTimezone",
    App = "App",
    AppliesToAirlineIds = "AppliesToAirlineIds",
    AzureId = "AzureId",
    BaseAirportId = "BaseAirportId",
    BatchCreationTime = "BatchCreationTime",
    BatchDocumentCount = "BatchDocumentCount",
    BatchDocumentId = "BatchDocumentId",
    BatchFieldCode = "BatchFieldCode",
    BatchFieldDay = "BatchFieldDay",
    BatchFieldDetailsId = "BatchFieldDetailsId",
    BatchFieldId = "BatchFieldId",
    BatchFieldMonth = "BatchFieldMonth",
    BatchFieldName = "BatchFieldName",
    BatchFieldOutput = "BatchFieldOutput",
    BatchFieldValue = "BatchFieldValue",
    BatchHistoryChangeCode = "BatchHistoryChangeCode",
    BatchHistoryId = "BatchHistoryId",
    BatchId = "BatchId",
    BatchLinkToClient_FieldName = "BatchLinkToClient_FieldName",
    BatchLinkToClient_FieldValue = "BatchLinkToClient_FieldValue",
    BatchName = "BatchName",
    BatchPageCount = "BatchPageCount",
    BatchProcessMethodPropertyCode = "BatchProcessMethodPropertyCode",
    BatchProcessMethodPropertyId = "BatchProcessMethodPropertyId",
    BatchProcessMethodPropertyValue = "BatchProcessMethodPropertyValue",
    BatchRunBy = "BatchRunBy",
    BatchRunId = "BatchRunId",
    BatchRunStatus = "BatchRunStatus",
    BatchRunType = "BatchRunType",
    BatchRunWhen = "BatchRunWhen",
    BatchRunWhy = "BatchRunWhy",
    BatchStatus = "BatchStatus",
    BatchYear = "BatchYear",
    BirthDate = "BirthDate",
    BlockDuties = "BlockDuties",
    Bsn = "Bsn",
    CaseDescription = "CaseDescription",
    CaseHistoryChangeCode = "CaseHistoryChangeCode",
    CaseHistoryId = "CaseHistoryId",
    CaseId = "CaseId",
    CaseNumber = "CaseNumber",
    CaseStatus = "CaseStatus",
    CaseTitle = "CaseTitle",
    CaseType = "CaseType",
    CaseYear = "CaseYear",
    ChangedBy = "ChangedBy",
    ChangedWhat = "ChangedWhat",
    ChangedWhen = "ChangedWhen",
    CheckLabel = "CheckLabel",
    CheckMessage = "CheckMessage",
    CheckText = "CheckText",
    City = "City",
    ClassName = "ClassName",
    ClientEmployerId = "ClientEmployerId",
    ClientId = "ClientId",
    ClientId_FiscalPartner = "ClientId_FiscalPartner",
    ClientNumber = "ClientNumber",
    ClientObjectId = "ClientObjectId",
    ClientObjectName = "ClientObjectName",
    ClientType = "ClientType",
    CollectionJoinTable = "CollectionJoinTable",
    Collections = "Collections",
    ColumnName = "ColumnName",
    CompanyCode = "CompanyCode",
    CompanyDescription = "CompanyDescription",
    CompanyHeadOfficeAddressId = "CompanyHeadOfficeAddressId",
    CompanyId = "CompanyId",
    CompanyIsActive = "CompanyIsActive",
    CompanyMainContactPersonId = "CompanyMainContactPersonId",
    CompanyName = "CompanyName",
    CompanyUrl = "CompanyUrl",
    ConditionQuestionFieldId = "ConditionQuestionFieldId",
    ConditionType = "ConditionType",
    ConditionValue = "ConditionValue",
    ContactDetailId = "ContactDetailId",
    ContactType = "ContactType",
    ContactValue = "ContactValue",
    Container = "Container",
    Content = "Content",
    ContentDisposition = "ContentDisposition",
    ContentType = "ContentType",
    CountryCode = "CountryCode",
    CountryCodes = "CountryCodes",
    CountryId = "CountryId",
    CountryName = "CountryName",
    CreatedBy = "CreatedBy",
    CreatedWhen = "CreatedWhen",
    DayCode = "DayCode",
    DayCodes = "DayCodes",
    Description = "Description",
    DetermineDomesticDays = "DetermineDomesticDays",
    DetermineStayDays = "DetermineStayDays",
    DetermineTravelDays = "DetermineTravelDays",
    Directory = "Directory",
    DocPropName = "DocPropName",
    DocPropValue = "DocPropValue",
    DocTypeCode = "DocTypeCode",
    DocumentContentId = "DocumentContentId",
    DocumentCreationTime = "DocumentCreationTime",
    DocumentDefinitionName = "DocumentDefinitionName",
    DocumentHistoryChangeCode = "DocumentHistoryChangeCode",
    DocumentHistoryId = "DocumentHistoryId",
    DocumentId = "DocumentId",
    DocumentNumber = "DocumentNumber",
    DocumentOrigin = "DocumentOrigin",
    DocumentPropertyId = "DocumentPropertyId",
    DocumentPropertyName = "DocumentPropertyName",
    DocumentPropertyValue = "DocumentPropertyValue",
    DocumentStatus = "DocumentStatus",
    DocumentTitle = "DocumentTitle",
    DocumentUncertainSymbolsCount = "DocumentUncertainSymbolsCount",
    DocumentVersionId = "DocumentVersionId",
    DocumentVersionNumber = "DocumentVersionNumber",
    DocumentVersionRemark = "DocumentVersionRemark",
    DrawerItemId = "DrawerItemId",
    EmployeeId = "EmployeeId",
    EmployeeType = "EmployeeType",
    EmployerCode = "EmployerCode",
    EmployerDocTypeClientId = "EmployerDocTypeClientId",
    EmployerDocTypeProcessMethodId = "EmployerDocTypeProcessMethodId",
    EmployerId = "EmployerId",
    EmployerName = "EmployerName",
    EndDate = "EndDate",
    EndLocation = "EndLocation",
    EndTime = "EndTime",
    EnumId = "EnumId",
    EnumIsActive = "EnumIsActive",
    EnumName = "EnumName",
    EnumValueCode = "EnumValueCode",
    EnumValueColumn = "EnumValueColumn",
    EnumValueId = "EnumValueId",
    EnumValueIsActive = "EnumValueIsActive",
    EnumValueTable = "EnumValueTable",
    FileContent = "FileContent",
    FileContentId = "FileContentId",
    FileName = "FileName",
    FileType = "FileType",
    FirstName = "FirstName",
    FlightNumbers = "FlightNumbers",
    ForeignKeyColumns = "ForeignKeyColumns",
    FormId = "FormId",
    FormTitle = "FormTitle",
    GetForeignKeyLabelFromView = "GetForeignKeyLabelFromView",
    HandlerType = "HandlerType",
    HelperText = "HelperText",
    HistoryVersionId = "HistoryVersionId",
    HouseNumber = "HouseNumber",
    HouseNumberExtension = "HouseNumberExtension",
    Icon = "Icon",
    Id = "Id",
    Implemented_ClassName = "Implemented_ClassName",
    Implemented_How = "Implemented_How",
    Implemented_MethodName = "Implemented_MethodName",
    Includes = "Includes",
    Initials = "Initials",
    InputColumnStart = "InputColumnStart",
    Invoicable = "Invoicable",
    IsActive = "IsActive",
    IsArchived = "IsArchived",
    IsDeleted = "IsDeleted",
    IsDomesticDay = "IsDomesticDay",
    IsEnabled = "IsEnabled",
    IsInSyncWithFileSystem = "IsInSyncWithFileSystem",
    IsStandard = "IsStandard",
    IsStayDay = "IsStayDay",
    IsTravelDay = "IsTravelDay",
    IsViewableByClient = "IsViewableByClient",
    JobTitle = "JobTitle",
    JotformSubmissionId = "JotformSubmissionId",
    Label = "Label",
    LabelCode = "LabelCode",
    LabelContextCode = "LabelContextCode",
    LabelId = "LabelId",
    LanguageCode = "LanguageCode",
    LastName = "LastName",
    LatestVersion = "LatestVersion",
    LinkedDbTable = "LinkedDbTable",
    LinkedObjectId = "LinkedObjectId",
    LinkedObjectType = "LinkedObjectType",
    ListViewColumns = "ListViewColumns",
    MasterCaseId = "MasterCaseId",
    MasterLabelCode = "MasterLabelCode",
    MenuLabelCode = "MenuLabelCode",
    Message = "Message",
    MessageCode = "MessageCode",
    MessageId = "MessageId",
    MethodName = "MethodName",
    MiddleNames = "MiddleNames",
    MigrationId = "MigrationId",
    MsgCode = "MsgCode",
    MultiFlex = "MultiFlex",
    MustBeTranslated = "MustBeTranslated",
    Name = "Name",
    NewBatchStatus = "NewBatchStatus",
    NewCaseStatus = "NewCaseStatus",
    NewDocumentStatus = "NewDocumentStatus",
    NewTaskStatus = "NewTaskStatus",
    NewValue = "NewValue",
    NoOfDetails = "NoOfDetails",
    OrderByClause = "OrderByClause",
    OrderInLevel = "OrderInLevel",
    OrderInQuestion = "OrderInQuestion",
    OrderInStep = "OrderInStep",
    ParameterCode = "ParameterCode",
    ParameterGroup = "ParameterGroup",
    ParameterId = "ParameterId",
    ParameterValue = "ParameterValue",
    ParentBatchFieldId = "ParentBatchFieldId",
    ParentDrawerItemId = "ParentDrawerItemId",
    PayDate = "PayDate",
    PersonId = "PersonId",
    PhotoFileContentId = "PhotoFileContentId",
    PlaceHolder = "PlaceHolder",
    Placeholders = "Placeholders",
    PostalCode = "PostalCode",
    Processed = "Processed",
    ProcessMethodCode = "ProcessMethodCode",
    ProcessMethodId = "ProcessMethodId",
    ProductVersion = "ProductVersion",
    ProfileId = "ProfileId",
    ProgramCode = "ProgramCode",
    QuestionFieldGroupId = "QuestionFieldGroupId",
    QuestionFieldId = "QuestionFieldId",
    QuestionFieldType = "QuestionFieldType",
    QuestionGroupId = "QuestionGroupId",
    QuestionGroupMasterId = "QuestionGroupMasterId",
    QuestionId = "QuestionId",
    QuestionnaireId = "QuestionnaireId",
    QuestionRuleId = "QuestionRuleId",
    RegExCheck = "RegExCheck",
    RequestData_Pretty = "RequestData_Pretty",
    RequestData_Raw = "RequestData_Raw",
    ResultCodes = "ResultCodes",
    RuleDescription = "RuleDescription",
    RuleId = "RuleId",
    RuleName = "RuleName",
    RuleStatus = "RuleStatus",
    RuleVersionId = "RuleVersionId",
    RuleVersionNumber = "RuleVersionNumber",
    RuleVersionRemark = "RuleVersionRemark",
    Schema = "Schema",
    SchemaName = "SchemaName",
    SearchColumnStart = "SearchColumnStart",
    SearchField = "SearchField",
    SearchRowStart = "SearchRowStart",
    SectorCode = "SectorCode",
    SelectTable = "SelectTable",
    Severity = "Severity",
    ShowIfNo = "ShowIfNo",
    ShowIfYes = "ShowIfYes",
    Size = "Size",
    StartDate = "StartDate",
    StartLocation = "StartLocation",
    StartTime = "StartTime",
    State = "State",
    Step = "Step",
    Street = "Street",
    SubmissionId = "SubmissionId",
    SubmittedAt = "SubmittedAt",
    SubmittedByIP = "SubmittedByIP",
    SubmittedByUser = "SubmittedByUser",
    TableName = "TableName",
    TaskDescription = "TaskDescription",
    TaskHistoryChangeCode = "TaskHistoryChangeCode",
    TaskHistoryId = "TaskHistoryId",
    TaskId = "TaskId",
    TaskStatus = "TaskStatus",
    TaskTitle = "TaskTitle",
    TemplateFieldCode = "TemplateFieldCode",
    TemplateFieldId = "TemplateFieldId",
    TemplateFieldName = "TemplateFieldName",
    TemplateFieldNegate = "TemplateFieldNegate",
    TemplateId = "TemplateId",
    TemplateSheetId = "TemplateSheetId",
    TemplateSheetIdentifier = "TemplateSheetIdentifier",
    TemplateSheetName = "TemplateSheetName",
    TemplateTitle = "TemplateTitle",
    TemplateVersion = "TemplateVersion",
    Text = "Text",
    TextCode = "TextCode",
    TextId = "TextId",
    Times = "Times",
    ToBeChecked = "ToBeChecked",
    ToBeCheckedReasonCode = "ToBeCheckedReasonCode",
    TodoQuestionFieldId = "TodoQuestionFieldId",
    TodoQuestionGroupId = "TodoQuestionGroupId",
    TodoQuestionId = "TodoQuestionId",
    TodoType = "TodoType",
    Tooltip = "Tooltip",
    Type = "Type",
    UnClassified = "UnClassified",
    Url = "Url",
    UsedByClientApp = "UsedByClientApp",
    UseGBP = "UseGBP",
    Value = "Value",
    ViewColumns = "ViewColumns",
    WebHookUrl = "WebHookUrl",
    When = "When",
    WhereClause = "WhereClause",
    Year = "Year",
    PersonPhotoUrl = "PersonPhotoUrl",
    EmailPhone = "EmailPhone",
    ContactDetailList = "ContactDetailList",
    AddressList = "AddressList",
    PersonClientId = "PersonClientId",
    PersonClientNumber = "PersonClientNumber",
    AddressString = "AddressString",
    ProfileLanguageCode = "ProfileLanguageCode",
    MemberIds = "MemberIds",
    PersonLastname = "PersonLastname",
    PersonFirstname = "PersonFirstname",
    PersonInitials = "PersonInitials",
    PersonMiddlenames = "PersonMiddlenames",
    PersonBirthdate = "PersonBirthdate",
    PersonAge = "PersonAge",
    PersonPersonId = "PersonPersonId",
    PersonPhotoFileContentId = "PersonPhotoFileContentId",
    PersonPhotoFileName = "PersonPhotoFileName",
    PersonContactDetail = "PersonContactDetail",
    PersonBsn = "PersonBsn",
    ObjectId = "ObjectId",
    ObjectAction = "ObjectAction",
    Label1 = "Label1",
    Message1 = "Message1"
}
export declare enum Enum_COMPANYCODE {
    NONE = "NONE",
    BRITISHAIRWAYS = "BRITISHAIRWAYS",
    CITYJET = "CITYJET",
    EASYJET = "EASYJET",
    FLYBE = "FLYBE",
    NORWEGIAN = "NORWEGIAN",
    THOMASCOOK = "THOMASCOOK",
    VIRGINATLANTIC = "VIRGINATLANTIC"
}
export declare enum Enum_CONDITIONTYPE {
    NONE = "NONE",
    equal = "equal",
    notequal = "notequal",
    greater = "greater",
    greaterorequal = "greaterorequal",
    less = "less",
    lessorequal = "lessorequal",
    empty = "empty",
    notempty = "notempty",
    contains = "contains"
}
export declare enum Enum_CONTACTTYPE {
    NONE = "NONE",
    emailhome = "emailhome",
    phonehome = "phonehome",
    phonebusiness = "phonebusiness",
    emailbusiness = "emailbusiness",
    whatsapp = "whatsapp",
    fax = "fax",
    phonepartner = "phonepartner",
    emailpartner = "emailpartner",
    other = "other"
}
export declare enum Enum_COUNTRYCODE {
    NONE = "NONE",
    AD = "AD",
    AE = "AE",
    AF = "AF",
    AG = "AG",
    AI = "AI",
    AL = "AL",
    AM = "AM",
    AN = "AN",
    AO = "AO",
    AQ = "AQ",
    AR = "AR",
    AS = "AS",
    AT = "AT",
    AU = "AU",
    AW = "AW",
    AX = "AX",
    AZ = "AZ",
    BA = "BA",
    BB = "BB",
    BD = "BD",
    BE = "BE",
    BF = "BF",
    BG = "BG",
    BH = "BH",
    BI = "BI",
    BJ = "BJ",
    BL = "BL",
    BM = "BM",
    BN = "BN",
    BO = "BO",
    BQ = "BQ",
    BR = "BR",
    BS = "BS",
    BT = "BT",
    BV = "BV",
    BW = "BW",
    BY = "BY",
    BZ = "BZ",
    CA = "CA",
    CC = "CC",
    CD = "CD",
    CF = "CF",
    CG = "CG",
    CH = "CH",
    CI = "CI",
    CK = "CK",
    CL = "CL",
    CM = "CM",
    CN = "CN",
    CO = "CO",
    CR = "CR",
    CU = "CU",
    CV = "CV",
    CW = "CW",
    CX = "CX",
    CY = "CY",
    CZ = "CZ",
    DE = "DE",
    DJ = "DJ",
    DK = "DK",
    DM = "DM",
    DO = "DO",
    DZ = "DZ",
    EC = "EC",
    EE = "EE",
    EG = "EG",
    EH = "EH",
    ER = "ER",
    ES = "ES",
    ET = "ET",
    FI = "FI",
    FJ = "FJ",
    FK = "FK",
    FM = "FM",
    FO = "FO",
    FR = "FR",
    GA = "GA",
    GB = "GB",
    GD = "GD",
    GE = "GE",
    GF = "GF",
    GG = "GG",
    GH = "GH",
    GI = "GI",
    GL = "GL",
    GM = "GM",
    GN = "GN",
    GP = "GP",
    GQ = "GQ",
    GR = "GR",
    GS = "GS",
    GT = "GT",
    GU = "GU",
    GW = "GW",
    GY = "GY",
    HK = "HK",
    HM = "HM",
    HN = "HN",
    HR = "HR",
    HT = "HT",
    HU = "HU",
    ID = "ID",
    IE = "IE",
    IL = "IL",
    IM = "IM",
    IN = "IN",
    IO = "IO",
    IQ = "IQ",
    IR = "IR",
    IS = "IS",
    IT = "IT",
    JE = "JE",
    JM = "JM",
    JO = "JO",
    JP = "JP",
    KE = "KE",
    KG = "KG",
    KH = "KH",
    KI = "KI",
    KM = "KM",
    KN = "KN",
    KP = "KP",
    KR = "KR",
    KW = "KW",
    KY = "KY",
    KZ = "KZ",
    LA = "LA",
    LB = "LB",
    LC = "LC",
    LI = "LI",
    LK = "LK",
    LR = "LR",
    LS = "LS",
    LT = "LT",
    LU = "LU",
    LV = "LV",
    LY = "LY",
    MA = "MA",
    MC = "MC",
    MD = "MD",
    ME = "ME",
    MF = "MF",
    MG = "MG",
    MH = "MH",
    MK = "MK",
    ML = "ML",
    MM = "MM",
    MN = "MN",
    MO = "MO",
    MP = "MP",
    MQ = "MQ",
    MR = "MR",
    MS = "MS",
    MT = "MT",
    MU = "MU",
    MV = "MV",
    MW = "MW",
    MX = "MX",
    MY = "MY",
    MZ = "MZ",
    NA = "NA",
    NC = "NC",
    NE = "NE",
    NF = "NF",
    NG = "NG",
    NI = "NI",
    NL = "NL",
    NO = "NO",
    NP = "NP",
    NR = "NR",
    NU = "NU",
    NZ = "NZ",
    OM = "OM",
    PA = "PA",
    PE = "PE",
    PF = "PF",
    PG = "PG",
    PH = "PH",
    PK = "PK",
    PL = "PL",
    PM = "PM",
    PN = "PN",
    PR = "PR",
    PS = "PS",
    PT = "PT",
    PW = "PW",
    PY = "PY",
    QA = "QA",
    RE = "RE",
    RO = "RO",
    RS = "RS",
    RU = "RU",
    RW = "RW",
    SA = "SA",
    SB = "SB",
    SC = "SC",
    SD = "SD",
    SE = "SE",
    SG = "SG",
    SH = "SH",
    SI = "SI",
    SJ = "SJ",
    SK = "SK",
    SL = "SL",
    SM = "SM",
    SN = "SN",
    SO = "SO",
    SR = "SR",
    SS = "SS",
    ST = "ST",
    SV = "SV",
    SX = "SX",
    SY = "SY",
    SZ = "SZ",
    TC = "TC",
    TD = "TD",
    TF = "TF",
    TG = "TG",
    TH = "TH",
    TJ = "TJ",
    TK = "TK",
    TL = "TL",
    TM = "TM",
    TN = "TN",
    TO = "TO",
    TR = "TR",
    TT = "TT",
    TV = "TV",
    TW = "TW",
    TZ = "TZ",
    UA = "UA",
    UG = "UG",
    UM = "UM",
    US = "US",
    UY = "UY",
    UZ = "UZ",
    VA = "VA",
    VC = "VC",
    VE = "VE",
    VG = "VG",
    VI = "VI",
    VN = "VN",
    VU = "VU",
    WF = "WF",
    WS = "WS",
    YE = "YE",
    YT = "YT",
    ZA = "ZA",
    ZM = "ZM",
    ZW = "ZW"
}
export declare enum Enum_DAYCODE {
    NONE = "NONE",
    i = "i",
    n = "n",
    t = "t",
    s = "s",
    o = "o",
    w = "w",
    c = "c",
    v = "v",
    r = "r"
}
export declare enum Enum_DOCTYPECODE {
    NONE = "NONE",
    ARCHIVE = "ARCHIVE",
    ANNUALSTATEMENT = "ANNUALSTATEMENT",
    OTHER = "OTHER",
    MORTGAGEDEED = "MORTGAGEDEED",
    LOANAGREEMENT = "LOANAGREEMENT",
    EXPENSEOVERVIEW = "EXPENSEOVERVIEW",
    PRENUPTIALAGREEMENTS = "PRENUPTIALAGREEMENTS",
    TAXASSESSMENT = "TAXASSESSMENT",
    TAXDECISION = "TAXDECISION",
    TAXPROVISIONALASSESSMENT = "TAXPROVISIONALASSESSMENT",
    PUBLICTRANSPORTSTATEMENT = "PUBLICTRANSPORTSTATEMENT",
    INCOMESPECIFICATION = "INCOMESPECIFICATION",
    WOZDECISION = "WOZDECISION",
    INVOICE = "INVOICE",
    INSURANCEPOLICY = "INSURANCEPOLICY",
    LEASEAGREEMENT = "LEASEAGREEMENT",
    PENSIONSTATEMENT = "PENSIONSTATEMENT",
    TVINVOICE = "TVINVOICE",
    MESSAGEFROMCLIENT = "MESSAGEFROMCLIENT",
    FLIGHTSCHEDULE = "FLIGHTSCHEDULE",
    PAYSLIP = "PAYSLIP"
}
export declare enum Enum_DOCUMENTHISTORYCHANGECODE {
    NONE = "NONE",
    ARCHIVED = "ARCHIVED",
    BACKUP = "BACKUP",
    CREATED = "CREATED",
    NEWDIRECTORY = "NEWDIRECTORY",
    NEWFILENAME = "NEWFILENAME",
    NEWSTATUS = "NEWSTATUS",
    NEWTITLE = "NEWTITLE",
    NEWVERSION = "NEWVERSION",
    DELETED = "DELETED"
}
export declare enum Enum_DOCUMENTORIGIN {
    NONE = "NONE",
    UPLOADEDBYEMPLOYEE = "UPLOADEDBYEMPLOYEE",
    CREATEDBYPROGRAM = "CREATEDBYPROGRAM",
    SCANNED = "SCANNED",
    SENTBYCLIENT = "SENTBYCLIENT",
    UPLOADEDBYCLIENT = "UPLOADEDBYCLIENT"
}
export declare enum Enum_DOCUMENTPROPERTY {
    NONE = "NONE",
    INVOICEDATE = "INVOICEDATE",
    INVOICEAMOUNT = "INVOICEAMOUNT",
    INVOICEDUEDATE = "INVOICEDUEDATE"
}
export declare enum Enum_DOCUMENTSTATUS {
    NONE = "NONE",
    PAYED = "PAYED",
    LATE = "LATE",
    DELETED = "DELETED",
    ADDEDTOBATCH = "ADDEDTOBATCH",
    CREATED = "CREATED",
    NOTFOUNDONDISK = "NOTFOUNDONDISK",
    PROCESSING = "PROCESSING",
    READYFORVERIFICATION = "READYFORVERIFICATION",
    READYTOSEND = "READYTOSEND",
    SENTTOCLIENT = "SENTTOCLIENT",
    SENTTOOCR = "SENTTOOCR",
    UNRECOGNIZED = "UNRECOGNIZED",
    VERIFIED = "VERIFIED"
}
export declare enum Enum_EMPLOYEETYPE {
    NONE = "NONE",
    PERSON = "PERSON",
    PROGRAM = "PROGRAM"
}
export declare enum Enum_ENUMNAME {
    NONE = "NONE",
    ADDRESSTYPE = "ADDRESSTYPE",
    APP = "APP",
    BATCHHISTORYCHANGECODE = "BATCHHISTORYCHANGECODE",
    BATCHLINKTOCLIENT_FIELDNAME = "BATCHLINKTOCLIENT_FIELDNAME",
    BATCHPROCESSMETHODPROPERTYCODE = "BATCHPROCESSMETHODPROPERTYCODE",
    BATCHRUNSTATUS = "BATCHRUNSTATUS",
    BATCHRUNTYPE = "BATCHRUNTYPE",
    BATCHSTATUS = "BATCHSTATUS",
    CARDTYPE = "CARDTYPE",
    CASEHISTORYCHANGECODE = "CASEHISTORYCHANGECODE",
    CASESTATUS = "CASESTATUS",
    CASETYPE = "CASETYPE",
    CLIENTTYPE = "CLIENTTYPE",
    COLUMNNAME = "COLUMNNAME",
    COMPANYCODE = "COMPANYCODE",
    CONDITIONTYPE = "CONDITIONTYPE",
    CONTACTTYPE = "CONTACTTYPE",
    COUNTRYCODE = "COUNTRYCODE",
    DAYCODE = "DAYCODE",
    DOCTYPECODE = "DOCTYPECODE",
    DOCUMENTHISTORYCHANGECODE = "DOCUMENTHISTORYCHANGECODE",
    DOCUMENTORIGIN = "DOCUMENTORIGIN",
    DOCUMENTPROPERTY = "DOCUMENTPROPERTY",
    DOCUMENTSTATUS = "DOCUMENTSTATUS",
    EMPLOYEETYPE = "EMPLOYEETYPE",
    ENUMNAME = "ENUMNAME",
    FIELDTYPE = "FIELDTYPE",
    FILETYPE = "FILETYPE",
    FLIGHTSCHEDULERESULTCODE = "FLIGHTSCHEDULERESULTCODE",
    GENDER = "GENDER",
    HANDLERTYPE = "HANDLERTYPE",
    ICON = "ICON",
    LABELCODE = "LABELCODE",
    LABELCONTEXTCODE = "LABELCONTEXTCODE",
    LABELGROUP = "LABELGROUP",
    LABELSTRING = "LABELSTRING",
    LANGUAGECODE = "LANGUAGECODE",
    LOGLEVEL = "LOGLEVEL",
    LOGSEVERITY = "LOGSEVERITY",
    LOGTYPE = "LOGTYPE",
    MENULABELCODE = "MENULABELCODE",
    MESSAGECODE = "MESSAGECODE",
    OBJECTACTION = "OBJECTACTION",
    OBJECTNAME = "OBJECTNAME",
    OBJECTTYPE = "OBJECTTYPE",
    PARAMETERCODE = "PARAMETERCODE",
    PARAMETERGROUP = "PARAMETERGROUP",
    PROCESSMETHODCODE = "PROCESSMETHODCODE",
    PROGRAMCODE = "PROGRAMCODE",
    QUESTIONFIELDTYPE = "QUESTIONFIELDTYPE",
    QUESTIONGROUP = "QUESTIONGROUP",
    QUEUENAME = "QUEUENAME",
    RULENAME = "RULENAME",
    RULESTATUS = "RULESTATUS",
    SCHEMANAME = "SCHEMANAME",
    SECTORCODE = "SECTORCODE",
    SNACKBARVARIANT = "SNACKBARVARIANT",
    STATE = "STATE",
    SUBDRAWER = "SUBDRAWER",
    TABLENAME = "TABLENAME",
    TASKHISTORYCHANGECODE = "TASKHISTORYCHANGECODE",
    TASKSTATUS = "TASKSTATUS",
    TOBECHECKEDREASONCODE = "TOBECHECKEDREASONCODE",
    TODOTYPE = "TODOTYPE"
}
export declare enum Enum_FIELDTYPE {
    NONE = "NONE",
    COLLECTION = "COLLECTION",
    HIDE = "HIDE",
    UPLOAD = "UPLOAD",
    DATE = "DATE",
    FILTER = "FILTER",
    STRING = "STRING",
    TIME = "TIME",
    DATETIME = "DATETIME",
    BOOLEAN = "BOOLEAN",
    ENUM = "ENUM",
    SELECT = "SELECT",
    INTEGER = "INTEGER",
    OBJECT = "OBJECT",
    FUNCTION = "FUNCTION",
    ARRAY = "ARRAY",
    OBJECTPROPERTYARRAY = "OBJECTPROPERTYARRAY",
    OBJECTPROPERTYARRAYLIST = "OBJECTPROPERTYARRAYLIST",
    MULTIFLEX = "MULTIFLEX"
}
export declare enum Enum_FILETYPE {
    NONE = "NONE",
    PDF = "PDF",
    EXCEL = "EXCEL",
    WORD = "WORD",
    IMAGE = "IMAGE",
    VIDEO = "VIDEO",
    AUDIO = "AUDIO"
}
export declare enum Enum_FLIGHTSCHEDULERESULTCODE {
    NONE = "NONE",
    ACTIVITYCODE = "ACTIVITYCODE",
    AIRPORTCODEIATA = "AIRPORTCODEIATA",
    BLOCKDUTY = "BLOCKDUTY",
    ENDTIME = "ENDTIME",
    FLIGHTNUMBER = "FLIGHTNUMBER",
    STARTTIME = "STARTTIME",
    TIME = "TIME"
}
export declare enum Enum_GENDER {
    NONE = "NONE",
    male = "male",
    female = "female",
    trans = "trans"
}
export declare enum Enum_HANDLERTYPE {
    NONE = "NONE",
    MAIN = "MAIN",
    BACKUP = "BACKUP",
    SUPPORT = "SUPPORT"
}
export declare enum Enum_ICON {
    NONE = "NONE",
    checkoutlined = "checkoutlined",
    account_circle = "account_circle",
    assignment = "assignment",
    bookmark = "bookmark",
    bookmark_border = "bookmark_border",
    bookmarks = "bookmarks",
    brightness_auto = "brightness_auto",
    brightness_high = "brightness_high",
    brightness_low = "brightness_low",
    brightness_medium = "brightness_medium",
    call_split = "call_split",
    cast_connected = "cast_connected",
    category = "category",
    chrome_reader_mode = "chrome_reader_mode",
    code = "code",
    comment = "comment",
    contacts = "contacts",
    directions_run = "directions_run",
    flag = "flag",
    flight = "flight",
    flight_takeoff = "flight_takeoff",
    folder_shared = "folder_shared",
    format_list_numbered = "format_list_numbered",
    group = "group",
    history = "history",
    hot_tub = "hot_tub",
    how_to_vote = "how_to_vote",
    import_contacts = "import_contacts",
    label = "label",
    layers = "layers",
    library_books = "library_books",
    location_city = "location_city",
    message = "message",
    mood = "mood",
    pages = "pages",
    perm_data_setting = "perm_data_setting",
    pie_chart = "pie_chart",
    polymer = "polymer",
    record_voice_over = "record_voice_over",
    reorder = "reorder",
    room = "room",
    router = "router",
    rv_hookup = "rv_hookup",
    settings = "settings",
    storage = "storage",
    streetview = "streetview",
    subject = "subject",
    text_fields = "text_fields",
    toc = "toc",
    redo = "redo",
    refresh = "refresh",
    cloudupload = "cloudupload",
    publish = "publish",
    send = "send",
    search = "search",
    save = "save",
    undo = "undo",
    close = "close",
    add = "add",
    edit = "edit",
    queue = "queue",
    delete = "delete",
    arrow_back = "arrow_back",
    cancel = "cancel",
    sync = "sync",
    home = "home",
    list = "list"
}
export declare enum Enum_LABELCONTEXTCODE {
    NONE = "NONE",
    DEFAULT = "DEFAULT",
    LONG = "LONG",
    SHORT = "SHORT"
}
export declare enum Enum_LABELSTRING {
    NONE = "NONE",
    single = "single",
    plural = "plural",
    objectAction = "objectAction",
    snackbar = "snackbar",
    success = "success",
    language = "language",
    title = "title"
}
export declare enum Enum_LANGUAGECODE {
    NONE = "NONE",
    en = "en",
    nl = "nl"
}
export declare enum Enum_LOGLEVEL {
    NONE = "NONE",
    INFO = "INFO",
    WARNING = "WARNING",
    DEBUG = "DEBUG",
    ERROR = "ERROR"
}
export declare enum Enum_LOGSEVERITY {
    NONE = "NONE",
    HIGH = "HIGH",
    LOW = "LOW",
    MEDIUM = "MEDIUM",
    VERYHIGH = "VERYHIGH",
    VERYLOW = "VERYLOW"
}
export declare enum Enum_LOGTYPE {
    NONE = "NONE",
    ERROR = "ERROR",
    INFO = "INFO",
    WARNING = "WARNING"
}
export declare enum Enum_MENULABELCODE {
    NONE = "NONE",
    actions = "actions",
    clientmanagement = "clientmanagement",
    datasources = "datasources",
    leavemessage = "leavemessage",
    openquestionnaire = "openquestionnaire",
    overviews = "overviews",
    settings = "settings",
    uploaddocument = "uploaddocument",
    youraddresses = "youraddresses",
    yourcases = "yourcases",
    yourcontactdetails = "yourcontactdetails",
    yourdata = "yourdata",
    yourinvoices = "yourinvoices",
    yourmessages = "yourmessages"
}
export declare enum Enum_MESSAGECODE {
    NONE = "NONE",
    MSG_BATCHCONTENTSDELETED = "MSG_BATCHCONTENTSDELETED",
    MSG_BATCHCREATED = "MSG_BATCHCREATED",
    MSG_BATCHDOCUPDATEDANDBATCHFIELDSFORDOCDELETED = "MSG_BATCHDOCUPDATEDANDBATCHFIELDSFORDOCDELETED",
    MSG_BATCHFOUND = "MSG_BATCHFOUND",
    MSG_CLIENTEMPLOYER_NORECORDSFOUND = "MSG_CLIENTEMPLOYER_NORECORDSFOUND",
    MSG_CLIENTFIELDSINSERTED = "MSG_CLIENTFIELDSINSERTED",
    MSG_CLIENTLINKEDTOBATCH = "MSG_CLIENTLINKEDTOBATCH",
    MSG_CONTAINSMATCHFOUND = "MSG_CONTAINSMATCHFOUND",
    MSG_DIALOGDELETEOBJECT = "MSG_DIALOGDELETEOBJECT",
    MSG_DOCUMENTCONTENTNOTCREATED = "MSG_DOCUMENTCONTENTNOTCREATED",
    MSG_FILENOTFOUNDONFILESYSTEM = "MSG_FILENOTFOUNDONFILESYSTEM",
    MSG_FUZZYMATCHERROR = "MSG_FUZZYMATCHERROR",
    MSG_FUZZYMATCHFOUND = "MSG_FUZZYMATCHFOUND",
    MSG_INDEXFIELDSADD = "MSG_INDEXFIELDSADD",
    MSG_INDEXFIELDSCOPY = "MSG_INDEXFIELDSCOPY",
    MSG_INDEXFIELDSEDIT = "MSG_INDEXFIELDSEDIT",
    MSG_INVALIDARGUMENT = "MSG_INVALIDARGUMENT",
    MSG_MAINBATCHSFIELDINSERTEDFORDOC = "MSG_MAINBATCHSFIELDINSERTEDFORDOC",
    MSG_MORETHANONEBATCHFOUND = "MSG_MORETHANONEBATCHFOUND",
    MSG_MORETHANONERECORDFOUND = "MSG_MORETHANONERECORDFOUND",
    MSG_NEGATESWITCHCASTERROR = "MSG_NEGATESWITCHCASTERROR",
    MSG_NOVALIDCLIENTIDFORDEFAULTCASE = "MSG_NOVALIDCLIENTIDFORDEFAULTCASE",
    MSG_OBJECTNOTFOUND = "MSG_OBJECTNOTFOUND",
    MSG_OCREXPORTFINISHED = "MSG_OCREXPORTFINISHED",
    MSG_OCREXPORTSTARTED = "MSG_OCREXPORTSTARTED",
    MSG_ORPHANBATCHEXCEPTION = "MSG_ORPHANBATCHEXCEPTION",
    MSG_PARAMETERNOTFOUND = "MSG_PARAMETERNOTFOUND",
    MSG_PROCESSBATCH_AIRLINE_MORETHANONEICAOCODEFOUND = "MSG_PROCESSBATCH_AIRLINE_MORETHANONEICAOCODEFOUND",
    MSG_PROCESSBATCH_AIRPORT_MORETHANONERECORDFOUND = "MSG_PROCESSBATCH_AIRPORT_MORETHANONERECORDFOUND",
    MSG_PROCESSBATCH_DATEFORDESCRIPTION = "MSG_PROCESSBATCH_DATEFORDESCRIPTION",
    MSG_PROCESSBATCH_INVALIDPROPERTYVALUE = "MSG_PROCESSBATCH_INVALIDPROPERTYVALUE",
    MSG_PROCESSBATCH_INVALIDVALUEFORARGUMENT = "MSG_PROCESSBATCH_INVALIDVALUEFORARGUMENT",
    MSG_PROCESSBATCH_TABLEBATCHFIELDSINSERTEDFORDOC = "MSG_PROCESSBATCH_TABLEBATCHFIELDSINSERTEDFORDOC",
    MSG_PROCESSBATCH_UNABLETOMATCHFIELDCODE = "MSG_PROCESSBATCH_UNABLETOMATCHFIELDCODE",
    MSG_PROCESSBATCH_UNITSFORAMOUNT = "MSG_PROCESSBATCH_UNITSFORAMOUNT",
    MSG_SAVEARGUMENTVALUES = "MSG_SAVEARGUMENTVALUES",
    MSG_SAVERETURNVALUE = "MSG_SAVERETURNVALUE",
    MSG_SNACKBARADDSUCCESS = "MSG_SNACKBARADDSUCCESS",
    MSG_SNACKBARCOPYSUCCESS = "MSG_SNACKBARCOPYSUCCESS",
    MSG_SNACKBARDELETECANCEL = "MSG_SNACKBARDELETECANCEL",
    MSG_SNACKBARDELETESUCCESS = "MSG_SNACKBARDELETESUCCESS",
    MSG_SNACKBAREDITSUCCESS = "MSG_SNACKBAREDITSUCCESS",
    MSG_SNACKBARSYNCHRONIZINGBUSY = "MSG_SNACKBARSYNCHRONIZINGBUSY",
    MSG_SNACKBARSYNCHRONIZINGSUCCESS = "MSG_SNACKBARSYNCHRONIZINGSUCCESS",
    MSG_SWITCHBOX = "MSG_SWITCHBOX",
    MSG_TEMPLATECONTENTNOTFOUND = "MSG_TEMPLATECONTENTNOTFOUND",
    MSG_TEMPLATENOTFOUNDONFILESYSTEM = "MSG_TEMPLATENOTFOUNDONFILESYSTEM"
}
export declare enum Enum_OBJECTACTION {
    NONE = "NONE",
    Home = "Home",
    List = "List",
    View = "View",
    Copy = "Copy",
    Details = "Details",
    Save = "Save",
    Reset = "Reset",
    Back = "Back",
    Add = "Add",
    Edit = "Edit",
    Delete = "Delete"
}
export declare enum Enum_OBJECTNAME {
    NONE = "NONE",
    Account = "Account",
    ActivityCode = "ActivityCode",
    Address = "Address",
    Airline = "Airline",
    Airport = "Airport",
    Batch = "Batch",
    BatchDocument = "BatchDocument",
    BatchField = "BatchField",
    BatchFieldDetails = "BatchFieldDetails",
    BatchHistory = "BatchHistory",
    BatchProcessMethodProperty = "BatchProcessMethodProperty",
    BatchRun = "BatchRun",
    Case = "Case",
    CaseDocument = "CaseDocument",
    CaseEmployee = "CaseEmployee",
    CaseHistory = "CaseHistory",
    CaseTask = "CaseTask",
    Client = "Client",
    ClientCase = "ClientCase",
    ClientDocument = "ClientDocument",
    ClientEmployee = "ClientEmployee",
    ClientEmployer = "ClientEmployer",
    ClientObject = "ClientObject",
    ClientPersonalData = "ClientPersonalData",
    Company = "Company",
    CompanyAddress = "CompanyAddress",
    CompanyPerson = "CompanyPerson",
    ContactDetail = "ContactDetail",
    Country = "Country",
    Document = "Document",
    DocumentContent = "DocumentContent",
    DocumentHistory = "DocumentHistory",
    DocumentProperty = "DocumentProperty",
    DocumentTask = "DocumentTask",
    DocumentVersion = "DocumentVersion",
    DrawerItem = "DrawerItem",
    Employee = "Employee",
    EmployeeTask = "EmployeeTask",
    Employer = "Employer",
    EmployerDocTypeClient = "EmployerDocTypeClient",
    EmployerDocTypeProcessMethod = "EmployerDocTypeProcessMethod",
    Enum = "Enum",
    EnumValue = "EnumValue",
    FileContent = "FileContent",
    Label = "Label",
    LogMsg = "LogMsg",
    Message = "Message",
    Parameter = "Parameter",
    Person = "Person",
    PersonAddress = "PersonAddress",
    ProcessMethod = "ProcessMethod",
    Question = "Question",
    QuestionField = "QuestionField",
    QuestionFieldGroup = "QuestionFieldGroup",
    QuestionGroup = "QuestionGroup",
    Questionnaire = "Questionnaire",
    QuestionRule = "QuestionRule",
    Rule = "Rule",
    RuleVersion = "RuleVersion",
    Submission = "Submission",
    Task = "Task",
    TaskHistory = "TaskHistory",
    Template = "Template",
    TemplateField = "TemplateField",
    TemplateSheet = "TemplateSheet",
    Text = "Text"
}
export declare enum Enum_OBJECTTYPE {
    NONE = "NONE",
    BATCH = "BATCH",
    CLIENT = "CLIENT",
    EMPLOYER = "EMPLOYER"
}
export declare enum Enum_PARAMETERCODE {
    NONE = "NONE",
    AZUREBLOBSTORAGE_DEFAULTUPLOADDIR = "AZUREBLOBSTORAGE_DEFAULTUPLOADDIR",
    CHECKFORNEWTEMPLATEFIELDS = "CHECKFORNEWTEMPLATEFIELDS",
    CLIENTDIR_HOME = "CLIENTDIR_HOME",
    CLIENTFIELDS_INPUTCOLUMNOFFSET = "CLIENTFIELDS_INPUTCOLUMNOFFSET",
    CLOUDSTORAGE_HOMEDIR = "CLOUDSTORAGE_HOMEDIR",
    DAYCODE_INTERNATIONALFLIGHT = "DAYCODE_INTERNATIONALFLIGHT",
    DAYCODE_NATIONALFLIGHT = "DAYCODE_NATIONALFLIGHT",
    DAYCODE_OTHERDOMESTICDAY = "DAYCODE_OTHERDOMESTICDAY",
    DAYCODE_STANDBY = "DAYCODE_STANDBY",
    DAYCODE_STAYDAY = "DAYCODE_STAYDAY",
    DAYCODE_TOBECHECKED = "DAYCODE_TOBECHECKED",
    DAYCODE_TRAINING = "DAYCODE_TRAINING",
    DAYCODE_WORKINGDAY = "DAYCODE_WORKINGDAY",
    DEFAULTCASETYPE = "DEFAULTCASETYPE",
    DEFAULTCASEYEAR = "DEFAULTCASEYEAR",
    DEFAULTHANDLER_EMPLOYEEID = "DEFAULTHANDLER_EMPLOYEEID",
    DEFAULTYEAR_PAYSLIP_GB = "DEFAULTYEAR_PAYSLIP_GB",
    DEFAULTYEAR_PAYSLIP_IT = "DEFAULTYEAR_PAYSLIP_IT",
    DIR_PROCESSING = "DIR_PROCESSING",
    DIR_TEMPLATES = "DIR_TEMPLATES",
    EMPLOYEEID_TVAPPS = "EMPLOYEEID_TVAPPS",
    IMG_MAXHEIGHT = "IMG_MAXHEIGHT",
    IMG_MAXWIDTH = "IMG_MAXWIDTH",
    KEYWORD_CALC_NONTAXABLEALLOWANCES = "KEYWORD_CALC_NONTAXABLEALLOWANCES",
    KEYWORD_CALC_TAXABLEINCOME = "KEYWORD_CALC_TAXABLEINCOME",
    KEYWORD_CLIENTDATA = "KEYWORD_CLIENTDATA",
    KEYWORD_COLUMNWITHTOTALS = "KEYWORD_COLUMNWITHTOTALS",
    KEYWORD_EMPLOYERPERMONTH = "KEYWORD_EMPLOYERPERMONTH",
    KEYWORD_MONTHYEARRATES = "KEYWORD_MONTHYEARRATES",
    KEYWORD_OVERVIEW_TAXABLEINCOME = "KEYWORD_OVERVIEW_TAXABLEINCOME",
    KEYWORD_ROWTOCOPYTO = "KEYWORD_ROWTOCOPYTO",
    LOGLANGUAGECODE = "LOGLANGUAGECODE",
    NOOFOBJECTSPERPAGE = "NOOFOBJECTSPERPAGE",
    PREFIX_CONFIGURABLELIST = "PREFIX_CONFIGURABLELIST",
    PREFIX_DATETIME = "PREFIX_DATETIME",
    PREFIX_FILEUPLOAD = "PREFIX_FILEUPLOAD",
    PREFIX_HIDDENFIELD = "PREFIX_HIDDENFIELD",
    PREFIX_LABELCODE = "PREFIX_LABELCODE",
    PREFIX_MULTIPLEFIELDS = "PREFIX_MULTIPLEFIELDS",
    PREFIX_MULTIPLESELECT = "PREFIX_MULTIPLESELECT",
    PREFIX_PERIOD = "PREFIX_PERIOD",
    PREFIX_SHORTTEXT = "PREFIX_SHORTTEXT",
    PREFIX_TEXT = "PREFIX_TEXT",
    PREFIX_YESNO = "PREFIX_YESNO",
    TRAVELDAY_ENDSAFTER = "TRAVELDAY_ENDSAFTER",
    TRAVELDAY_STARTSBEFORE = "TRAVELDAY_STARTSBEFORE"
}
export declare enum Enum_PARAMETERGROUP {
    NONE = "NONE",
    EXCELTEMPLATESETTINGS = "EXCELTEMPLATESETTINGS",
    JOTFORM = "JOTFORM",
    LOCATION = "LOCATION",
    LOGGING = "LOGGING",
    OTHER = "OTHER",
    PROCESSBATCH_FLIGHTSCHEDULE = "PROCESSBATCH_FLIGHTSCHEDULE",
    PROCESSBATCH_GENERIC = "PROCESSBATCH_GENERIC",
    PROCESSBATCH_PAYSLIP = "PROCESSBATCH_PAYSLIP",
    IMAGE = "IMAGE",
    NOTIFICATION = "NOTIFICATION"
}
export declare enum Enum_PROCESSMETHODCODE {
    NONE = "NONE",
    ALLPROCESSMETHODS = "ALLPROCESSMETHODS",
    EXPORT2DB = "EXPORT2DB",
    EXPORT2EXCELCOUNTDAYSSHEET = "EXPORT2EXCELCOUNTDAYSSHEET",
    EXPORT2EXCELINCOMESHEET = "EXPORT2EXCELINCOMESHEET"
}
export declare enum Enum_PROGRAMCODE {
    NONE = "NONE",
    SKAPPS = "SKAPPS"
}
export declare enum Enum_QUESTIONFIELDTYPE {
    NONE = "NONE",
    group = "group",
    selectfromlist = "selectfromlist",
    text = "text",
    boolean = "boolean",
    enumerate = "enumerate",
    date = "date",
    period = "period",
    datetime = "datetime",
    time = "time",
    upload = "upload",
    textarea = "textarea",
    number = "number",
    yesno = "yesno"
}
export declare enum Enum_QUESTIONGROUP {
    NONE = "NONE",
    children = "children",
    forpilots = "forpilots",
    incomefromsignificantinterest = "incomefromsignificantinterest",
    jobandotherincome = "jobandotherincome",
    main = "main",
    married = "married",
    notmarried = "notmarried",
    otherassetsandliabilities = "otherassetsandliabilities",
    otherinformation = "otherinformation",
    otherrealestate = "otherrealestate",
    ownrealestate = "ownrealestate",
    partnerdata = "partnerdata",
    personaldata = "personaldata",
    provisioningequityto = "provisioningequityto",
    specialdeductions = "specialdeductions",
    taxassessment = "taxassessment",
    yourdata = "yourdata"
}
export declare enum Enum_QUEUENAME {
    NONE = "NONE",
    fileremoved = "fileremoved",
    fileuploaded = "fileuploaded"
}
export declare enum Enum_RULENAME {
    NONE = "NONE",
    R_AIRPORTCODEMISTAKENASACTIVITYCODE = "R_AIRPORTCODEMISTAKENASACTIVITYCODE",
    R_BLOCKDUTYIFAFTERAIRPORTPLUSTWOTIMES = "R_BLOCKDUTYIFAFTERAIRPORTPLUSTWOTIMES",
    R_BLOCKDUTYIFAFTERHOTELTIMEAIRPORTTIME = "R_BLOCKDUTYIFAFTERHOTELTIMEAIRPORTTIME",
    R_BLOCKDUTYIFLASTENTRYANDONEDAYCODEFOUND = "R_BLOCKDUTYIFLASTENTRYANDONEDAYCODEFOUND",
    R_BLOCKDUTYIFSECONDTOLASTENTRY = "R_BLOCKDUTYIFSECONDTOLASTENTRY",
    R_CHECKFOROWNFLIGHTCODES = "R_CHECKFOROWNFLIGHTCODES",
    R_CHECKFORSELFPOSITIONINGCODE = "R_CHECKFORSELFPOSITIONINGCODE",
    R_CHECKPREVIOUSNEXTDAYFORTRAININGDAYSWITHOUTLOCATION = "R_CHECKPREVIOUSNEXTDAYFORTRAININGDAYSWITHOUTLOCATION",
    R_IFBLOCKDUTYFOUNDNEXTONEISALSOBLOCKDUTY = "R_IFBLOCKDUTYFOUNDNEXTONEISALSOBLOCKDUTY",
    R_IFHOTELCODEFOUNDCHECKLOCATION = "R_IFHOTELCODEFOUNDCHECKLOCATION",
    R_IGNORETIME00002400 = "R_IGNORETIME00002400",
    R_OVERNIGHTFLIGHTIFFLIGHTNUMBERFOLLOWEDBYAIRPORTCODE = "R_OVERNIGHTFLIGHTIFFLIGHTNUMBERFOLLOWEDBYAIRPORTCODE",
    R_OVERNIGHTFLIGHTIFFLIGHTNUMBERMATCHESLASTDAYSFLIGHTNUMBER = "R_OVERNIGHTFLIGHTIFFLIGHTNUMBERMATCHESLASTDAYSFLIGHTNUMBER",
    R_REMOVESTARBEFORESUBSTRING = "R_REMOVESTARBEFORESUBSTRING",
    R_TIMESFOLLOWINGCERTAINCODESAREBLOCKDUTIES = "R_TIMESFOLLOWINGCERTAINCODESAREBLOCKDUTIES",
    R_TIMESFOLLOWINGE70E90AREBLOCKDUTIES = "R_TIMESFOLLOWINGE70E90AREBLOCKDUTIES",
    R_TRAVELDAYIFDAYBEFOREFINISHEDAFTER = "R_TRAVELDAYIFDAYBEFOREFINISHEDAFTER",
    R_TRAVELDAYIFNEXTDAYSTARTEDBEFORE = "R_TRAVELDAYIFNEXTDAYSTARTEDBEFORE",
    RC_CLIENTOBJECT_LISTVIEW_FORMAT = "RC_CLIENTOBJECT_LISTVIEW_FORMAT",
    RC_DATATABLE_FIRSTCOLUMN_NAME = "RC_DATATABLE_FIRSTCOLUMN_NAME",
    RC_FABICONSTRINGLITERAL_FABICONPROPERTY_ICONFIELDVALUEINTABLECLIENTPROPERTY = "RC_FABICONSTRINGLITERAL_FABICONPROPERTY_ICONFIELDVALUEINTABLECLIENTPROPERTY",
    RC_FOREIGNKEY_CLIENTOBJECTFIELDNAME = "RC_FOREIGNKEY_CLIENTOBJECTFIELDNAME",
    RC_OBJECTNAME_TABLENAME_FOREIGNKEYNAME = "RC_OBJECTNAME_TABLENAME_FOREIGNKEYNAME",
    RC_OBJECTNAMESTRINGLITERALSMUSTMATCHENUMNAME = "RC_OBJECTNAMESTRINGLITERALSMUSTMATCHENUMNAME",
    RC_TABLEMUSTCONTAINATLEASTONERECORDFORADDACTIONFROMLIST = "RC_TABLEMUSTCONTAINATLEASTONERECORDFORADDACTIONFROMLIST"
}
export declare enum Enum_RULESTATUS {
    NONE = "NONE",
    APPROVED = "APPROVED",
    IMPLEMENTED = "IMPLEMENTED",
    NEW = "NEW"
}
export declare enum Enum_SCHEMANAME {
    NONE = "NONE",
    ath = "ath",
    cfg = "cfg",
    clt = "clt",
    dbo = "dbo",
    doc = "doc",
    lan = "lan",
    log = "log",
    ocr = "ocr",
    qst = "qst",
    src = "src",
    tvs = "tvs",
    xls = "xls"
}
export declare enum Enum_SECTORCODE {
    NONE = "NONE",
    AIRLINE = "AIRLINE",
    OTHER = "OTHER"
}
export declare enum Enum_SNACKBARVARIANT {
    NONE = "NONE",
    success = "success",
    warning = "warning",
    error = "error",
    info = "info"
}
export declare enum Enum_STATE {
    NONE = "NONE"
}
export declare enum Enum_SUBDRAWER {
    NONE = "NONE",
    DATASOURCES = "DATASOURCES",
    LOCALIZATION = "LOCALIZATION"
}
export declare enum Enum_TABLENAME {
    NONE = "NONE",
    __EFMigrationsHistory = "__EFMigrationsHistory",
    Account = "Account",
    ActivityCode = "ActivityCode",
    Address = "Address",
    Airline = "Airline",
    Airport = "Airport",
    Batch = "Batch",
    BatchDocument = "BatchDocument",
    BatchField = "BatchField",
    BatchFieldDetails = "BatchFieldDetails",
    BatchHistory = "BatchHistory",
    BatchProcessMethodProperty = "BatchProcessMethodProperty",
    BatchRun = "BatchRun",
    Case = "Case",
    CaseDocument = "CaseDocument",
    CaseDocumentList = "CaseDocumentList",
    CaseEmployee = "CaseEmployee",
    CaseHistory = "CaseHistory",
    CaseTask = "CaseTask",
    Client = "Client",
    ClientCase = "ClientCase",
    ClientDocument = "ClientDocument",
    ClientEmployee = "ClientEmployee",
    ClientEmployer = "ClientEmployer",
    ClientObject = "ClientObject",
    Company = "Company",
    CompanyAddress = "CompanyAddress",
    CompanyPerson = "CompanyPerson",
    ContactDetail = "ContactDetail",
    Country = "Country",
    Document = "Document",
    DocumentContent = "DocumentContent",
    DocumentHistory = "DocumentHistory",
    DocumentProperty = "DocumentProperty",
    DocumentTask = "DocumentTask",
    DocumentVersion = "DocumentVersion",
    DrawerItem = "DrawerItem",
    Employee = "Employee",
    EmployeeTask = "EmployeeTask",
    Employer = "Employer",
    EmployerDocTypeClient = "EmployerDocTypeClient",
    EmployerDocTypeProcessMethod = "EmployerDocTypeProcessMethod",
    Enum = "Enum",
    EnumValue = "EnumValue",
    FileContent = "FileContent",
    ForeignKeyLabel_account = "ForeignKeyLabel_account",
    ForeignKeyLabel_client = "ForeignKeyLabel_client",
    ForeignKeyLabel_contactdetail = "ForeignKeyLabel_contactdetail",
    ForeignKeyLabel_draweritem = "ForeignKeyLabel_draweritem",
    ForeignKeyLabel_employee = "ForeignKeyLabel_employee",
    ForeignKeyLabel_person = "ForeignKeyLabel_person",
    ForeignKeyLabel_questionfieldgroup = "ForeignKeyLabel_questionfieldgroup",
    ForeignKeyLabel_questionrule = "ForeignKeyLabel_questionrule",
    InvoiceList = "InvoiceList",
    Label = "Label",
    LogMsg = "LogMsg",
    Message = "Message",
    Parameter = "Parameter",
    Person = "Person",
    PersonAddress = "PersonAddress",
    ProcessMethod = "ProcessMethod",
    Question = "Question",
    QuestionField = "QuestionField",
    QuestionFieldGroup = "QuestionFieldGroup",
    QuestionGroup = "QuestionGroup",
    Questionnaire = "Questionnaire",
    QuestionRule = "QuestionRule",
    Rule = "Rule",
    RuleVersion = "RuleVersion",
    SearchAccount = "SearchAccount",
    SearchActivityCode = "SearchActivityCode",
    SearchAddress = "SearchAddress",
    SearchAirline = "SearchAirline",
    SearchAirport = "SearchAirport",
    SearchBatch = "SearchBatch",
    SearchBatchDocument = "SearchBatchDocument",
    SearchBatchField = "SearchBatchField",
    SearchBatchFieldDetails = "SearchBatchFieldDetails",
    SearchBatchHistory = "SearchBatchHistory",
    SearchBatchProcessMethodProperty = "SearchBatchProcessMethodProperty",
    SearchBatchRun = "SearchBatchRun",
    SearchCase = "SearchCase",
    SearchCaseHistory = "SearchCaseHistory",
    SearchClient = "SearchClient",
    SearchClientObject = "SearchClientObject",
    SearchCompany = "SearchCompany",
    SearchContactDetail = "SearchContactDetail",
    SearchCountry = "SearchCountry",
    SearchDocument = "SearchDocument",
    SearchDocumentContent = "SearchDocumentContent",
    SearchDocumentHistory = "SearchDocumentHistory",
    SearchDocumentVersion = "SearchDocumentVersion",
    SearchDrawerItem = "SearchDrawerItem",
    SearchEmployee = "SearchEmployee",
    SearchEmployer = "SearchEmployer",
    SearchEmployerDoctypeClient = "SearchEmployerDoctypeClient",
    SearchEmployerDoctypeProcessMethod = "SearchEmployerDoctypeProcessMethod",
    SearchEnum = "SearchEnum",
    SearchEnumValue = "SearchEnumValue",
    SearchFileContent = "SearchFileContent",
    SearchLabel = "SearchLabel",
    SearchLogMsg = "SearchLogMsg",
    SearchMessage = "SearchMessage",
    SearchParameter = "SearchParameter",
    SearchProcessMethod = "SearchProcessMethod",
    SearchQuestion = "SearchQuestion",
    SearchQuestionField = "SearchQuestionField",
    SearchQuestionFieldGroup = "SearchQuestionFieldGroup",
    SearchQuestionGroup = "SearchQuestionGroup",
    SearchQuestionnaire = "SearchQuestionnaire",
    SearchQuestionRule = "SearchQuestionRule",
    SearchRule = "SearchRule",
    SearchRuleVersion = "SearchRuleVersion",
    SearchSubmission = "SearchSubmission",
    SearchTask = "SearchTask",
    SearchTaskHistory = "SearchTaskHistory",
    SearchTemplate = "SearchTemplate",
    SearchTemplateField = "SearchTemplateField",
    SearchTemplateSheet = "SearchTemplateSheet",
    SearchText = "SearchText",
    Submission = "Submission",
    Task = "Task",
    TaskHistory = "TaskHistory",
    Template = "Template",
    TemplateField = "TemplateField",
    TemplateSheet = "TemplateSheet",
    Text = "Text"
}
export declare enum Enum_TASKHISTORYCHANGECODE {
    NONE = "NONE",
    CREATED = "CREATED",
    STATUSCHANGE = "STATUSCHANGE",
    TITLECHANGE = "TITLECHANGE",
    DESCRIPTIONCHANGE = "DESCRIPTIONCHANGE",
    EMPLOYEEASSIGNMENTCHANGE = "EMPLOYEEASSIGNMENTCHANGE",
    CASEASSIGNMENTCHANGE = "CASEASSIGNMENTCHANGE",
    CLOSED = "CLOSED",
    NOTIFICATIONSENT = "NOTIFICATIONSENT"
}
export declare enum Enum_TASKSTATUS {
    NONE = "NONE",
    NEW = "NEW",
    OPEN = "OPEN",
    ONHOLD = "ONHOLD",
    CLOSED = "CLOSED"
}
export declare enum Enum_TOBECHECKEDREASONCODE {
    NONE = "NONE",
    EMPTYDAYVALUE = "EMPTYDAYVALUE",
    MISSINGDAY = "MISSINGDAY",
    MORETHANONEDAYCODEFOUND = "MORETHANONEDAYCODEFOUND",
    POSSIBLESTAYDAY = "POSSIBLESTAYDAY",
    TRAININGDAY_NOTINWORKCOUNTRY = "TRAININGDAY_NOTINWORKCOUNTRY",
    UNABLETOCLASSIFYSUBSTRING = "UNABLETOCLASSIFYSUBSTRING"
}
export declare enum Enum_TODOTYPE {
    NONE = "NONE",
    show = "show",
    hide = "hide"
}
