export declare enum FETCHURL {
    OBJECTLIST = "object/list",
    OBJECTLISTDETAILS = "object/listdetails",
    OBJECTDETAILS = "object/details",
    OBJECTDELETE = "object/delete",
    OBJECTADDORUPDATE = "object/addorupdate",
    OBJECTADDLINK = "object/addlink",
    OBJECTCOUNT = "object/count",
    OBJECTPAGE = "object/page",
    OBJECTFILTEROPTIONS = "object/filteroptions",
    FILEUPLOADIMAGE = "file/uploadimage",
    FILECROP = "file/crop",
    FILEUPLOADFILE = "file/uploadfile",
    FILEREMOVEFILE = "file/removefile",
    FILESAVEUPLOADRESULTS = "file/saveuploadresults",
    FILEINVOICELIST = "file/invoicelist",
    FILECASEDOCUMENTLIST = "file/casedocumentlist",
    FILEPROCESSMESSAGE = "file/processmessage",
    PERSONUPDATEPHOTOFILECONTENTID = "person/updatephotofilecontentid",
    ADDRESSLIST = "address/list",
    ADDRESSDELETE = "address/delete",
    ADDRESSSEARCHDUTCHADDRESS = "address/searchdutchaddress",
    DRAWERITEMLIST = "draweritem/list",
    CLIENTOBJECTLIST = "clientobject/list",
    CONTACTDETAILLIST = "contactdetail/list",
    ACCOUNTGET = "account/get",
    CLIENTPERSONALDATAGET = "clientpersonaldata/get",
    CLIENTPERSONALDATASAVE = "clientpersonaldata/save",
    PERSONGETCASES = "person/getcases"
}
export declare enum ENV {
    PRD = "prd",
    ACC = "acc",
    TST = "tst",
    DEV = "dev"
}
export declare enum LABELSTRING {
    NONE = "NONE",
    OBJECT_SINGLE = "object.single.",
    OBJECT_PLURAL = "object.plural.",
    OBJECT_ACTION = "objectaction.",
    SNACKBAR = "snackbar.",
    SNACKBARSUCCESS = "snackbar.success",
    LANGUAGE = "language.",
    TITLE = ".title",
    LABELSPEROBJECT = "labelsperobject.",
    LISTLABEL = ".list.label.",
    LISTHINT = ".list.hint.",
    DETAILLABEL = ".detail.label.",
    DETAILPLACEHOLDER = ".detail.placeholder.",
    DETAILHELPERTEXT = ".detail.helpertext.",
    LABELSPERENUM = "labelsperenum."
}
export declare enum BUTTONCOLOR {
    NONE = "NONE",
    PRIMARY = "primary",
    SECONDARY = "secondary",
    DEFAULT = "default",
    INHERIT = "inherit",
    DISABLED = "disabled"
}
export declare enum SEPARATOR {
    SPACE = " ",
    SLASH = "/",
    SLASHCOLON = "/:",
    EQUALSIGN = "=",
    PIPE = "|",
    QUESTIONMARK = "?",
    UNDERSCORE = "_",
    COLON = ":",
    TILDE = "~",
    DASH = "-",
    NEWLINE = "\n"
}
export declare enum PREFIX {
    API = "api/",
    ROUTE = "/goto/",
    MEDIAPATH = "/media/",
    FILEPATH = "/file/",
    LABEL = "LBL_",
    MESSAGE = "MSG_",
    TEXT = "TXT_",
    DATATABLE = "DATATABLE_",
    OBJECTCOUNT = "OBJECTCOUNT_"
}
export declare enum PAGENAME {
    NONE = "NONE",
    APP = "APP",
    LOGIN = "LOGIN",
    HOME = "HOME",
    APIOBJECT = "APIOBJECT",
    APICLIENTOBJECT = "APICLIENTOBJECT",
    APIDRAWERITEM = "APIDRAWERITEM",
    APIACCOUNT = "APIACCOUNT",
    APICONTACTDETAIL = "APICONTACTDETAIL",
    APIPERSON = "APIPERSON",
    APICLIENTPERSONALDATA = "APICLIENTPERSONALDATA",
    APIADDRESS = "APIADDRESS",
    APIFILE = "APIFILE",
    APITOOLS = "APITOOLS",
    TOOLS = "TOOLS",
    LANGUAGETOOLS = "LANGUAGETOOLS",
    LEAVEMESSAGE = "LEAVEMESSAGE",
    PERSONALDATA = "PERSONALDATA",
    QUESTIONNAIRE = "QUESTIONNAIRE",
    UPLOADDOCUMENT = "UPLOADDOCUMENT",
    INVOICEOVERVIEW = "INVOICEOVERVIEW",
    CASEOVERVIEW = "CASEOVERVIEW",
    SKPADDRESSVIEW = "SKPADDRESSVIEW",
    SKPADDRESSEDIT = "SKPADDRESSEDIT",
    SKPCONTACTDETAILVIEW = "SKPCONTACTDETAILVIEW",
    SKPCONTACTDETAILEDIT = "SKPCONTACTDETAILEDIT",
    SKPREACTTABLE = "SKPREACTTABLE",
    SKPCARD = "SKPCARD",
    SKPOBJECTVIEW = "SKPOBJECTVIEW",
    SKPOBJECTACTION = "SKPOBJECTACTION",
    SKPAPPBAR = "SKPAPPBAR",
    SKPDATATABLE = "SKPDATATABLE",
    SKPLISTBOX = "SKPLISTBOX",
    SKPFAB = "SKPFAB",
    SKPFORM = "SKPFORM",
    SKPPOPOVER = "SKPPOPOVER",
    SKPDRAWER = "SKPDRAWER",
    SKPDIALOG = "SKPDIALOG",
    SKPDIALOGLOGIN = "SKPDIALOGLOGIN",
    SKPDIALOGERROR = "SKPDIALOGERROR",
    SKPTEXTFIELD = "SKPTEXTFIELD",
    SKPDROPZONE = "SKPDROPZONE",
    SKPFILEDROPZONE = "SKPFILEDROPZONE",
    SKPDATEPICKER = "SKPDATEPICKER",
    SKPSNACKBAR = "SKPSNACKBAR",
    SKPSTEPPER = "SKPSTEPPER",
    SKPIMAGECROPPER = "SKPIMAGECROPPER",
    SKPMULTIFLEX = "SKPMULTIFLEX",
    SKPMULTIFLEXEDIT = "SKPMULTIFLEXEDIT",
    SKAPPSSETTINGS = "SKAPPSSETTINGS",
    SKAPPSLOGIN = "SKAPPSLOGIN"
}
export declare enum BUTTONTYPE {
    SUBMIT = "submit",
    RESET = "reset",
    BUTTON = "button"
}
export declare enum BUTTONSIZE {
    SMALL = "small",
    MEDIUM = "medium",
    LARGE = "large"
}
export declare enum FETCHMETHOD {
    GET = "GET",
    PUT = "PUT",
    POST = "POST",
    DELETE = "DELETE"
}
export declare enum MUI_VARIANT {
    standard = "standard",
    outlined = "outlined",
    filled = "filled"
}
