/// <reference types="react" />
import * as E from './TVC_ENUM';
import * as D from './TVC_DATA';
import * as C from './TVC_CSS';
import { MUIDataTableState } from "mui-datatables";
import { AccountInfo } from '@azure/msal-browser';
import * as CSS from 'csstype';
import { T } from '.';
export interface IStyle {
    display?: string;
    flexDirection?: CSS.Properties;
    width?: C.WIDTH;
    fontSize?: C.FONTSIZE;
    fontWeight?: C.FONTWEIGHT;
    fontFamily?: string;
    color?: C.COLOR;
    letterSpacing?: string;
    lineHeight?: C.LINEHEIGHT;
}
export interface ILoginProps {
    config: ILoginConfig;
}
export interface ILoginConfig {
    handleLanguageChange: () => void;
}
export interface IHomeProps {
    config: IHomeConfig;
}
export interface IHomeConfig {
    defaultCard: IHomeCardFeatures;
    loginFeatures: ILoginFeatures;
}
export declare class HomeConfig implements IHomeConfig {
    defaultCard: IHomeCardFeatures;
    loginFeatures: ILoginFeatures;
    constructor(defaultCard: IHomeCardFeatures, loginFeatures: ILoginFeatures);
}
export interface IAppBarProps {
    config: IAppBarConfig;
}
export interface IAppBarConfig {
    drawerConfig?: IDrawerConfig;
    handleHomeClick?: Function;
    handleLanguageChange?: () => void;
    loginFeatures?: ILoginFeatures;
}
export declare class AppBarConfig implements IAppBarConfig {
    drawerConfig?: IDrawerConfig;
    handleHomeClick?: Function;
    handleLanguageChange?: () => void;
    loginFeatures?: ILoginFeatures;
    constructor(drawerConfig?: IDrawerConfig, handleHomeClick?: Function, handleLanguageChange?: () => void, loginFeatures?: ILoginFeatures);
}
export interface IStepperProps {
    config: IStepperConfig;
}
export interface IStepperConfig {
    orientation?: "horizontal" | "vertical";
    getSteps?: () => string[];
    getStepContent?: (step: number) => JSX.Element;
}
export declare class StepperConfig implements IStepperConfig {
    orientation?: "horizontal" | "vertical";
    getSteps?: () => string[];
    getStepContent?: (step: number) => JSX.Element;
    constructor();
}
export interface ISnackbarProps {
    config: ISnackbarConfig;
}
export interface ISnackbarConfig {
    show?: boolean;
    variant?: D.Enum_SNACKBARVARIANT;
    message?: string;
    handleClose?: Function;
    autoHideDuration?: number;
}
export declare class SnackbarConfig implements ISnackbarConfig {
    show?: boolean;
    variant?: D.Enum_SNACKBARVARIANT;
    message?: string;
    handleClose?: Function;
    autoHideDuration?: number;
    constructor(show?: boolean, variant?: D.Enum_SNACKBARVARIANT, message?: string, handleClose?: Function, autoHideDuration?: number);
}
export interface IDrawerProps {
    config: IDrawerConfig;
}
export interface IDrawerConfig {
    show: boolean;
    getDrawerItemsTask: Promise<D.DrawerItemView[]>;
    app?: D.Enum_APP;
    handleOpenClose?: Function;
    handleSelect?: (e: any, itemSelected: D.Enum_MENULABELCODE) => void;
}
export declare class DrawerConfig implements IDrawerConfig {
    show: boolean;
    getDrawerItemsTask: Promise<D.DrawerItemView[]>;
    app?: D.Enum_APP;
    handleOpenClose?: Function;
    handleSelect?: (e: any, itemSelected: D.Enum_MENULABELCODE) => void;
    constructor(show: boolean, getDrawerItemsTask: Promise<D.DrawerItemView[]>, app?: D.Enum_APP, handleOpenClose?: Function, handleSelect?: (e: any, itemSelected: D.Enum_MENULABELCODE) => void);
}
export interface IMenuProps {
    config: IMenuConfig;
}
export interface IMenuConfig {
    anchor: any;
}
export declare class MenuConfig implements IMenuConfig {
    anchor: any;
    constructor(anchor: any);
}
export interface ICardProps {
    config: ICardConfig;
}
export interface ICardConfig {
    objectFeatures?: IObjectFeatures;
    objectEventHandlers?: IObjectEventHandlers;
    dataTableConfig?: IDataTableConfig;
    snackbarConfig?: ISnackbarConfig;
    dialogConfig?: IDialogConfig;
    styleFeatures?: IStyleFeatures;
}
export declare class CardConfig implements ICardConfig {
    objectFeatures?: IObjectFeatures;
    objectEventHandlers?: IObjectEventHandlers;
    dataTableConfig?: IDataTableConfig;
    snackbarConfig?: ISnackbarConfig;
    dialogConfig?: IDialogConfig;
    styleFeatures?: IStyleFeatures;
    constructor(objectName: D.Enum_OBJECTNAME, handleHideCard?: Function, handleCollectionClick?: Function, handleError?: Function, snackbarConfig?: ISnackbarConfig, dialogConfig?: IDialogConfig);
}
export interface IFabProps {
    config: IFabConfig;
}
export interface IFabConfig {
    icon: D.Enum_ICON;
    color: any;
    lblTooltip: string;
    handleOnClick?: Function;
    cardKey?: string;
    objectAction?: D.Enum_OBJECTACTION;
    type?: E.BUTTONTYPE;
    marginLeft?: string;
    size?: E.BUTTONSIZE;
}
export declare class FabConfig implements IFabConfig {
    icon: D.Enum_ICON;
    color: any;
    lblTooltip: string;
    handleOnClick?: Function;
    cardKey?: string;
    objectAction?: D.Enum_OBJECTACTION;
    type?: E.BUTTONTYPE;
    marginLeft?: C.MARGINLEFT;
    size?: E.BUTTONSIZE;
    constructor(icon: D.Enum_ICON, color: any, lblTooltip: string, handleOnClick?: Function, cardKey?: string, marginLeft?: C.MARGINLEFT, objectAction?: D.Enum_OBJECTACTION, type?: E.BUTTONTYPE);
}
export interface IIconButtonProps {
    config: IIconButtonConfig;
}
export interface IIconButtonConfig {
    icon: D.Enum_ICON;
    color: any;
    lblTooltip: string;
    handleOnClick?: (e: any, rowIndex?: number) => void;
    rowIndex?: number;
    marginLeft?: C.MARGINLEFT;
    size?: C.FONTSIZE;
}
export declare class IconButtonConfig implements IIconButtonConfig {
    icon: D.Enum_ICON;
    color: any;
    lblTooltip: string;
    handleOnClick?: (e: MouseEvent, rowIndex?: number) => void;
    rowIndex?: number;
    marginLeft?: C.MARGINLEFT;
    size?: C.FONTSIZE;
    constructor(icon: D.Enum_ICON, color: any, lblTooltip: string, handleOnClick?: (e: any, rowIndex?: number) => void, rowIndex?: number, marginLeft?: C.MARGINLEFT);
}
export interface IPopoverProps {
    config: IPopoverConfig;
}
export interface IPopoverConfig {
    icon: D.Enum_ICON;
    color: any;
    lblTooltip: string;
    handleOnClick?: Function;
}
export declare class PopoverConfig implements IPopoverConfig {
    icon: D.Enum_ICON;
    color: any;
    lblTooltip: string;
    handleOnClick?: Function;
    marginLeft?: C.MARGINLEFT;
    size?: E.BUTTONSIZE;
    constructor(icon: D.Enum_ICON, color: any, lblTooltip: string, handleOnClick?: Function, marginLeft?: C.MARGINLEFT);
}
export interface IDialogProps {
    config: IDialogConfig;
}
export interface IDialogConfig {
    show?: boolean;
    title?: string;
    text?: string;
    handleButton1Click?: Function;
    handleButton2Click?: Function;
}
export declare class DialogConfig implements IDialogConfig {
    show?: boolean;
    title?: string;
    text?: string;
    handleButton1Click?: Function;
    handleButton2Click?: Function;
    constructor(show?: boolean, title?: string, text?: string, handleButton1Click?: Function, handleButton2Click?: Function);
}
export interface IDialogErrorProps {
    config: IDialogErrorConfig;
}
export interface IDialogErrorConfig {
    logEntry?: LogEntry;
    show?: boolean;
    handleButtonClick?: Function;
}
export declare class DialogErrorConfig implements IDialogErrorConfig {
    logEntry?: LogEntry;
    show?: boolean;
    handleButtonClick?: Function;
    constructor(logEntry?: LogEntry, show?: boolean, handleButtonClick?: Function);
}
export interface IFormProps {
    config: IFormConfig;
}
export interface IFormConfig {
    data: D.ObjectProperty[];
    cardConfig: ICardConfig;
    resetFeatures?: IResetFeatures;
}
export declare class FormConfig implements IFormConfig {
    data: D.ObjectProperty[];
    cardConfig: ICardConfig;
    resetFeatures?: IResetFeatures;
    constructor(data: D.ObjectProperty[], cardConfig: ICardConfig, resetFeatures?: IResetFeatures);
}
export interface ITextfieldProps {
    config: ITextFieldConfig;
    classes: any;
}
export interface ITextFieldConfig {
    fieldProps: D.ObjectProperty;
    readOnly: boolean;
    multiLine?: boolean;
    getFormData?: Function;
    isSelect?: boolean;
}
export declare class TextFieldConfig implements ITextFieldConfig {
    fieldProps: D.ObjectProperty;
    readOnly: boolean;
    multiLine?: boolean;
    getFormData?: Function;
    isSelect?: boolean;
    constructor(fieldProps: D.ObjectProperty, readOnly: boolean, multiLine?: boolean, getFormData?: Function, isSelect?: boolean);
}
export interface IDataTableProps {
    config: IDataTableConfig;
}
export interface IDataTableConfig {
    objectName?: D.Enum_OBJECTNAME;
    baseProps?: IBaseProps;
    selectMode?: boolean;
    collectionMode?: boolean;
    searchMode?: boolean;
    filterMode?: boolean;
    searchFilterProps: ISearchFilterProps;
    collectionProps?: ICollectionProps;
    handlers?: IHandlers;
}
export declare class DataTableConfig implements IDataTableConfig {
    objectName?: D.Enum_OBJECTNAME;
    baseProps?: IBaseProps;
    selectMode?: boolean;
    collectionMode?: boolean;
    searchMode?: boolean;
    filterMode?: boolean;
    searchFilterProps: ISearchFilterProps;
    collectionProps?: ICollectionProps;
    handlers?: IHandlers;
    constructor(objectName?: D.Enum_OBJECTNAME);
}
export interface IBaseProps {
    update?: boolean;
    data?: D.ObjectProperty[][];
    count?: number;
    tableState?: MUIDataTableState;
}
export interface ISearchFilterProps {
    data?: D.ObjectProperty[][];
    count?: number;
    page?: number;
    rowsPerPage?: number;
    filterWhereClause?: string;
}
export interface ICollectionProps {
    parentObjectName?: D.Enum_OBJECTNAME;
    fieldName?: D.Enum_COLUMNNAME;
    fieldValue?: string;
    joinTable?: D.Enum_OBJECTNAME;
}
export interface IHandlers {
    handleRowClick?: (rowData: any) => void;
    handleDataTableStateChange?: (dataTableConfig: IDataTableConfig) => void;
    handleError?: Function;
}
export interface ILoginFeatures {
    account: AccountInfo;
}
export declare const initLoginFeatures: (account: AccountInfo) => ILoginFeatures;
export declare class LoginFeatures implements ILoginFeatures {
    account: AccountInfo;
    constructor(account: AccountInfo);
}
export interface IObjectFeatures {
    name?: D.Enum_OBJECTNAME;
    action?: D.Enum_OBJECTACTION;
    handleRouting?: Function;
    id?: number;
    IDBKey?: string;
    lblObject?: string;
    lblObjects?: string;
    lblAction?: string;
}
export declare class ObjectFeatures implements IObjectFeatures {
    name?: D.Enum_OBJECTNAME;
    action?: D.Enum_OBJECTACTION;
    handleRouting?: Function;
    id?: number;
    IDBKey?: string;
    lblObject?: string;
    lblObjects?: string;
    lblAction?: string;
    constructor(name?: D.Enum_OBJECTNAME, action?: D.Enum_OBJECTACTION, handleRouting?: Function, id?: number, IDBKey?: string, lblObject?: string, lblObjects?: string, lblAction?: string);
}
export interface IResetFeatures {
    reset?: boolean;
    handleReset?: Function;
}
export declare class ResetFeatures implements IResetFeatures {
    reset?: boolean;
    handleReset?: Function;
    constructor(reset?: boolean, handleReset?: Function);
}
export interface IConfigTypes {
    cardConfig?: ICardConfig;
}
export declare class ConfigTypes implements IConfigTypes {
    cardConfig?: ICardConfig;
    constructor(cardConfig?: ICardConfig);
}
export interface ICardFeatures {
    id: D.Enum_CARDTYPE;
    key: string;
    show: boolean;
    config: IConfigTypes;
    showCloseIconOnFab: boolean;
}
export declare class CardFeatures implements ICardFeatures {
    id: D.Enum_CARDTYPE;
    key: string;
    show: boolean;
    config: IConfigTypes;
    showCloseIconOnFab: boolean;
    constructor(id: D.Enum_CARDTYPE, key: string, show: boolean, config: IConfigTypes);
}
export interface IStyleFeatures {
    randomImgNo: number;
}
export declare class StyleFeatures implements IStyleFeatures {
    randomImgNo: number;
    constructor(randomImgNo?: number);
    private getRandomNumberForCardImage;
}
export interface IHomeCardFeatures {
    cardFeatures: ICardFeatures;
    fabConfig: IFabConfig;
}
export declare class HomeCardFeatures implements IHomeCardFeatures {
    cardFeatures: ICardFeatures;
    fabConfig: IFabConfig;
    constructor(cardId: D.Enum_CARDTYPE, cardKey: string, showCard: boolean, cardConfig: any, fabIcon: D.Enum_ICON, fabColor: E.BUTTONCOLOR, fabHandleClick: Function, fabLblTooltip: string, fabMarginLeft?: C.MARGINLEFT);
}
export interface IObjectEventHandlers {
    handleHideCard?: Function;
    handleFabClick?: Function;
    handleShowDeleteDialog?: Function;
    handleFormBack?: Function;
    handleFormSubmit?: Function;
    handleRouteTo?: Function;
    handleError?: Function;
    handleCollectionClick?: Function;
}
export declare class ObjectEventHandlers implements IObjectEventHandlers {
    handleHideCard?: Function;
    handleFabClick?: Function;
    handleShowDeleteDialog?: Function;
    handleFormBack?: Function;
    handleFormSubmit?: Function;
    handleRouteTo?: Function;
    handleError?: Function;
    handleCollectionClick?: Function;
    constructor(handleHideCard?: Function, handleFabClick?: Function, handleShowDeleteDialog?: Function, handleFormBack?: Function, handleFormSubmit?: Function, handleRouteTo?: Function, handleError?: Function, handleCollectionClick?: Function);
}
export declare class LogEntry {
    pageName: E.PAGENAME;
    methodName: string;
    logVars?: LogVar[];
    msg?: string;
    e?: Error;
    level?: D.Enum_LOGLEVEL;
    when?: string;
    user?: string;
    constructor(pageName?: E.PAGENAME, methodName?: string, msg?: string, e?: Error, level?: D.Enum_LOGLEVEL);
    addVarStr(...logVars: string[]): LogEntry;
    addVarObj(logVars: LogVar[]): LogEntry;
    log(): LogEntry;
}
export declare class LogVar {
    name: string;
    value: string;
    constructor(name: string, value: any);
}
export declare class FilterField {
    name: D.Enum_COLUMNNAME;
    values: string[];
    type: string;
    addQuotes: boolean;
    constructor(name: D.Enum_COLUMNNAME, values: string[], type: string, filterOptions: D.IdLabel[], enumerate?: boolean);
}
