import * as D from "./TVC_DATA";
import * as E from "./TVC_ENUM";
import * as T from "./TVC_TYPE";
export declare class TS {
    static isEmpty(obj: any, type?: D.Enum_FIELDTYPE, checkIntForZero?: boolean): boolean;
    private static isBooleanUndefinedNullOrInvalidValue;
    static isObjectUndefined(o: any): boolean;
    static isObjectUndefinedOrNull(o: any): boolean;
    static isStringUndefinedOrNull(s: string): boolean;
    static isStringUndefinedNullOrEmpty(s: string): boolean;
    static isArrayUndefinedNullOrEmpty(a: any): boolean;
    static isIntegerUndefinedOrNull(i: number): boolean;
    static isIntegerUndefinedNullOrZero(i: number): boolean;
    static isEnumUndefinedNullEmptyOrNone(e: any): boolean;
    static lowerFirstChar(s: string): string;
    static findObjectById(idToFind: number, objName: D.Enum_OBJECTNAME, objects: D.ObjectProperty[][]): D.ObjectProperty[];
    static getField(fieldName: string, objProps: D.ObjectProperty[]): D.ObjectProperty;
    static matchField(matchString: string, objProps: D.ObjectProperty[]): D.ObjectProperty;
    static getFieldValue(fieldName: string, objProps: D.ObjectProperty[], fieldType?: D.Enum_FIELDTYPE): any;
    static getId(objectName: D.Enum_OBJECTNAME, objProps: D.ObjectProperty[]): number;
    static getIndexFields(objProps: D.ObjectProperty[]): string;
    static getIDBKey(objectName: D.Enum_OBJECTNAME, objProps: D.ObjectProperty[]): string;
    static getIDBKeyByIndex(objectName: D.Enum_OBJECTNAME, index: string[]): string;
    static logDebug(pageName: E.PAGENAME, methodName: string, msg?: string): T.LogEntry;
    static logError(pageName: E.PAGENAME, methodName: string, e: Error, msg?: string): T.LogEntry;
    static generateGuid(): string;
    static delay: (ms: number) => Promise<unknown>;
    static firstUpperCase(s: string): string;
    static splitString(s: string, separator: string, maxLength: number): string[];
    static renderAsTextArea(s: string): boolean;
    static getTextAreaMaxRows(s: string): number;
    static getTextAreaRows(s: string): number;
    static parseAndFormatDate(dateTimeString: string, type?: D.Enum_FIELDTYPE): String;
    static isTrue(value: any): boolean;
    static isFalse(value: any): boolean;
}
